<?php
// Include database connection
include "../settings/db/db.php"; // database connection details

// Check if POST request is received
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Get the POST data
    $journal_no = $_POST['journal_no'] ?? '';
    $journal_date = $_POST['journal_date'] ?? '';
    $journal_memo = $_POST['journal_memo'] ?? '';
    $debit_acc_id = $_POST['debit_acc_id'] ?? '';
    $did = $_POST['did'] ?? '';
    $debit_amount = $_POST['debit_amount'] ?? 0.0;
    $debit_memo = $_POST['debit_memo'] ?? '';

    // Log received data
    file_put_contents('php://stderr', print_r($_POST, TRUE));

    // Prepare the SQL statement
    $sql = "INSERT INTO debit_journal (journal_no, journal_date, journal_memo, debit_acc_id, did, debit_amount, debit_memo) 
            VALUES (?, ?, ?, ?, ?, ?, ?)";

    // Initialize prepared statement
    if ($stmt = $con->prepare($sql)) {
        // Bind parameters
        $stmt->bind_param("sssssss", $journal_no, $journal_date, $journal_memo, $debit_acc_id, $did, $debit_amount, $debit_memo);

        // Execute the statement
        if ($stmt->execute()) {
            // Prepare the response (you can customize this as needed)
            $response = json_encode(['success' => true, 'message' => "Data successfully saved!"]);
        } else {
            $response = json_encode(['success' => false, 'message' => "Error executing statement: " . $stmt->error]);
        }

        // Close the statement
        $stmt->close();
    } else {
        $response = json_encode(['success' => false, 'message' => "Error preparing statement: " . $con->error]);
    }

    // Close the connection
    $con->close();

    // Send the response back to the AJAX request
    echo $response;
} else {
    echo json_encode(['success' => false, 'message' => "Invalid request."]);
}
?>
