<?php
include ('../settings/db/db.php'); // Database connection details stored here

if (!empty($_POST['type'])) {
    $type = $_POST['type'];
    $name = $_POST['name_startsWith'];
    
    // Use prepared statements to prevent SQL injection
    $stmt = $con->prepare("
        SELECT c.trade_name, c.sno, i.batch, i.expiry_date, i.quantity, i.sell_price, i.cost_price 
        FROM `medicine_list` AS c
        INNER JOIN `inventory` AS i ON c.sno = i.sno 
        WHERE i.quantity > 0 AND UPPER(c.$type) LIKE ? 
        LIMIT 15
    ");
    $like = strtoupper($name) . '%';
    $stmt->bind_param("s", $like);
    $stmt->execute();
    $result = $stmt->get_result();

    $data = array();
    while ($row = $result->fetch_assoc()) {
        $name = $row['trade_name'] . '|' . $row['sno'] . '|' . $row['batch'] . '|' . $row['expiry_date'] . '|' . $row['quantity'] . '|' . $row['sell_price'] . '|' . $row['cost_price'];
        array_push($data, $name);
    }
    $stmt->close();
    echo json_encode($data);
    exit;
}
?>
