
document.addEventListener('DOMContentLoaded', function () {
    var typeCells = document.querySelectorAll('td[col-index="3"]');
    
    typeCells.forEach(function(cell) {
        // Flag to track if the cell has been clicked before
        var clickedOnce = false; // Changed initial value to false
        
        cell.addEventListener('click', function handleClick() {
            if (clickedOnce) { // Changed condition to check if clickedOnce is true
                return; // Return early if clicked more than once
            }
            clickedOnce = true; // Update clickedOnce to true after first click
            
            // Remove the initial click event listener
            cell.removeEventListener('click', handleClick);
            
            var select = document.createElement('select');
            select.setAttribute('name', 'category');
            
            // Fetch options from SQL table
            fetch('get_categories.php')
                .then(response => response.json())
                .then(data => {
                    data.forEach(category => {
                        var option = document.createElement('option');
                        option.value = category.name; // Set option value to category name
                        option.textContent = category.name;
                        select.appendChild(option);
                    });
                    
                    // Set default value
                    select.value = cell.textContent; // Set the initial value from cell's content
                    
                    select.addEventListener('change', function() {
                        // Call function to post data when selection is made
                        postData(cell, select.value);
                    });
                    
                    cell.innerHTML = '';
                    cell.appendChild(select);
                    select.focus();
                })
                .catch(error => console.error('Error fetching categories:', error));
        });
    });

    // Function to post data to server
    function postData(cell, value) {
        var data = {};
        data['val'] = value;
        data['sno'] = cell.parentElement.getAttribute('data-row-id');
        data['index'] = cell.getAttribute('col-index');

        $.ajax({
            type: "POST",
            url: "server-list.php",
            cache: false,
            data: data,
            dataType: "json",
            success: function(response) {
                if (!response.error) {
                    $("#msg").removeClass('alert-danger');
                    $("#msg").addClass('alert-success').html(response.msg);
                } else {
                    $("#msg").removeClass('alert-success');
                    $("#msg").addClass('alert-danger').html(response.msg);
                }
            }
        });
    }
});



<script>
document.addEventListener('DOMContentLoaded', function () {
    var typeCells = document.querySelectorAll('td[col-index="3"]');
    
    typeCells.forEach(function(cell) {
        // Flag to track if the cell has been clicked before
        var clickedOnce = false; // Changed initial value to false
        
        cell.addEventListener('click', function handleClick() {
            if (clickedOnce) { // Changed condition to check if clickedOnce is true
                return; // Return early if clicked more than once
            }
            clickedOnce = true; // Update clickedOnce to true after first click
            
            // Remove the initial click event listener
            cell.removeEventListener('click', handleClick);
            
            var select = document.createElement('select');
            select.setAttribute('name', 'category');
            
            // Fetch options from SQL table
            fetch('get_categories.php')
                .then(response => response.json())
                .then(data => {
                    data.forEach(category => {
                        var option = document.createElement('option');
                        option.value = category.name; // Set option value to category name
                        option.textContent = category.name;
                        select.appendChild(option);
                    });
                    
                    // Set default value
                    select.value = cell.textContent; // Set the initial value from cell's content
                    
                    select.addEventListener('change', function() {
                        // Update select element's value
                        select.value = select.options[select.selectedIndex].textContent;
                        
                        // Update cell content with selected option
                        cell.textContent = select.value;
                        
                        // Call function to post data when selection is made
                        postData(cell, select.value);
                    });
                    
                    // Append select box to cell
                    cell.innerHTML = '';
                    cell.appendChild(select);
                    select.focus();
                })
                .catch(error => console.error('Error fetching categories:', error));
        });
    });

    // Function to post data to server
    function postData(cell, value) {
        var data = {};
        data['val'] = value;
        data['sno'] = cell.parentElement.getAttribute('data-row-id');
        data['index'] = cell.getAttribute('col-index');

        $.ajax({
            type: "POST",
            url: "server-list.php",
            cache: false,
            data: data,
            dataType: "json",
            success: function(response) {
                if (!response.error) {
                    $("#msg").removeClass('alert-danger');
                    $("#msg").addClass('alert-success').html(response.msg);
                } else {
                    $("#msg").removeClass('alert-success');
                    $("#msg").addClass('alert-danger').html(response.msg);
                }
            }
        });
    }
});


</script>