<?php
include('../settings/db/db.php'); // Database connection details stored here
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title><?php include_once('../settings/inc/title/title.php'); ?> | Dashboard</title>
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="../settings/setup/plugins/fontawesome-pro/css/all.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="../settings/setup/plugins/ionicons-2.0.1/css/ionicons.min.css">
    <!-- Tempusdominus Bootstrap 4 -->
    <link rel="stylesheet" href="../settings/setup/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
    <!-- iCheck -->
    <link rel="stylesheet" href="../settings/setup/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <!-- JQVMap -->
    <link rel="stylesheet" href="../settings/setup/plugins/jqvmap/jqvmap.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="../settings/setup/dist/css/adminlte.min.css">
    <!-- overlayScrollbars -->
    <link rel="stylesheet" href="../settings/setup/plugins/overlayScrollbars/css/OverlayScrollbars.min.css">
    <!-- DataTables -->
    <link rel="stylesheet" href="../settings/setup/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="../settings/setup/plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
    <link rel="stylesheet" href="../settings/setup/plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="../settings/setup/bootstrap/css/simplebootstrap.css">

    <!-- Include jsPDF and autoTable -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/2.5.1/jspdf.umd.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf-autotable/3.5.16/jspdf.plugin.autotable.min.js"></script>
    <!-- Include js-xlsx -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.17.0/xlsx.full.min.js"></script>
</head>
<body class="hold-transition sidebar-mini layout-fixed layout-footer-fixed layout-navbar-fixed sidebar-collapse">
<div class="wrapper">

    <?php include_once "../settings/inc/nav.php"; // Navigation bar ?>

    <!-- Content Wrapper -->
    <div class="content-wrapper" style="background-color: #2F4F4F; color: white;">
        <!-- Content Header -->
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0">Dashboard <small>Control panel</small></h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item active">Dashboard</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>
        <!-- Main content -->
        <section class="content" style="background-color: #2F4F4F; color: white;">
            <div class="container-fluid">
                <!-- Ledger Table -->
                <div class="card card-outline">
                    <div class="card-header" style="background-color: #0d47a1; color: white; padding: 4px;">
                        <h3 class="card-title">BALANCE SHEET</h3>
                    </div>
                    <div class="card-body" style="background-color: #c1ab86; color: black; padding: 4px;">
                        <div class="table-responsive">
                        <?php
                        function fetchBalanceSheetData($con, $category, $type) {
                            $query = "
                                SELECT acc_name, acc_balance
                                FROM accounts_tbl
                                WHERE cat_name = ? AND acc_type = ?;
                            ";
                            $stmt = $con->prepare($query);
                            $stmt->bind_param("ss", $category, $type);
                            $stmt->execute();
                            return $stmt->get_result();
                        }

                        function displayBalanceSheet($con) {
                            $categories = [
                                'ASSETS' => ['Current Assets', 'Non-Current Assets'],
                                'LIABILITIES' => ['Current Liabilities', 'Non-Current Liabilities'],
                                'EQUITY' => ['Equity']
                            ];

                            echo "<h2>Company's Balance Sheet</h2>";
                            
                            // Function to get the ordinal suffix for a day
                            function getOrdinalSuffix($day) {
                                if (!in_array(($day % 100), [11, 12, 13])) {
                                    switch ($day % 10) {
                                        case 1: return 'st';
                                        case 2: return 'nd';
                                        case 3: return 'rd';
                                    }
                                }
                                return 'th';
                            }

                            // Get the current date components
                            $month = date('F');
                            $day = date('j');
                            $year = date('Y');

                            // Get the ordinal suffix for the current day
                            $ordinalSuffix = getOrdinalSuffix($day);

                            // Output the formatted date with the ordinal suffix in superscript
                            echo "<p>As of $month $day<sup>$ordinalSuffix</sup>, $year</p>";

                            $currentAssetsTotal = $nonCurrentAssetsTotal = $currentLiabilitiesTotal = $nonCurrentLiabilitiesTotal = $equityTotal = 0;

                            foreach ($categories as $category => $types) {
                                echo "<h3>$category</h3>";

                                foreach ($types as $type) {
                                    $result = fetchBalanceSheetData($con, $category, $type);
                                    echo "<h4>$type</h4>";
                                    echo "<table class='table table-bordered'>";
                                    echo "<thead><tr><th>Account Name</th><th>Balance</th></tr></thead><tbody>";

                                    $total = 0;
                                    while ($row = $result->fetch_assoc()) {
                                        echo "<tr><td>" . htmlspecialchars($row['acc_name']) . "</td><td>$" . htmlspecialchars(number_format($row['acc_balance'], 2)) . "</td></tr>";
                                        $total += $row['acc_balance'];
                                    }
                                    echo "<tr><td><strong>Total $type</strong></td><td><strong>$" . htmlspecialchars(number_format($total, 2)) . "</strong></td></tr>";
                                    echo "</tbody></table>";

                                    if ($category == 'ASSETS') {
                                        if ($type == 'Current Assets') {
                                            $currentAssetsTotal = $total;
                                        } else {
                                            $nonCurrentAssetsTotal = $total;
                                        }
                                    } elseif ($category == 'LIABILITIES') {
                                        if ($type == 'Current Liabilities') {
                                            $currentLiabilitiesTotal = $total;
                                        } else {
                                            $nonCurrentLiabilitiesTotal = $total;
                                        }
                                    } elseif ($category == 'EQUITY') {
                                        $equityTotal = $total;
                                    }
                                }
                            }

                            $totalAssets = $currentAssetsTotal + $nonCurrentAssetsTotal;
                            $totalLiabilities = $currentLiabilitiesTotal + $nonCurrentLiabilitiesTotal;

                            echo "<p><strong>Total Assets: $" . htmlspecialchars(number_format($totalAssets, 2)) . "</strong></p>";
                            echo "<p><strong>Total Liabilities: $" . htmlspecialchars(number_format($totalLiabilities, 2)) . "</strong></p>";
                            echo "<p><strong>Total Equity: $" . htmlspecialchars(number_format($equityTotal, 2)) . "</strong></p>";
                            echo "<p><strong>Total Liabilities and Equity: $" . htmlspecialchars(number_format($totalLiabilities + $equityTotal, 2)) . "</strong></p>";
                        }

                        // Display balance sheet
                        displayBalanceSheet($con);

                        // Close the database connection
                        $con->close();
                        ?>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        
    </div>

    <!-- Footer -->
    <?php include("../settings/inc/title/footer.php"); ?>

    <!-- jQuery -->
    <script src="../settings/setup/plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="../settings/setup/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- DataTables & Plugins -->
    <script src="../settings/setup/plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="../settings/setup/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
    <script src="../settings/setup/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
    <script src="../settings/setup/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
    <script src="../settings/setup/plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
    <script src="../settings/setup/plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
    <script src="../settings/setup/plugins/jszip/jszip.min.js"></script>
    <script src="../settings/setup/plugins/pdfmake/pdfmake.min.js"></script>
    <script src="../settings/setup/plugins/pdfmake/vfs_fonts.js"></script>
    <script src="../settings/setup/plugins/datatables-buttons/js/buttons.html5.min.js"></script>
    <script src="../settings/setup/plugins/datatables-buttons/js/buttons.print.min.js"></script>
    <script src="../settings/setup/plugins/datatables-buttons/js/buttons.colVis.min.js"></script>

    <!-- DataTables Initialization -->
    <script type="text/javascript">
        $(document).ready(function() {
            // Initialize DataTables for all tables with the class 'dataTable'
            $('table.dataTable').each(function() {
                $(this).DataTable({
                    "responsive": true,
                    "lengthChange": false,
                    "autoWidth": false,
                    "paging": true,
                    "searching": true,
                    "ordering": true,
                    "info": true,
                    "iDisplayLength": 10,
                    "aLengthMenu": [[5, 10, -1], [5, 10, "All"]],
                    "buttons": ["copy", "excel", "pdf", "print"]
                }).buttons().container().appendTo($(this).closest('.dataTables_wrapper').find('.col-md-6:eq(0)'));
            });
        });
    </script>
</body>
</html>
