<?php
include "../settings/db/db.php";

function generateBalanceSheet($con) {
    $assets = 0;
    $liabilities = 0;
    $equity = 0;

    // Retrieve all accounts and their balances
    $query = "
        SELECT
            accounts_tbl.acc_name,
            accounts_tbl.cat_name,
            accounts_tbl.acc_type,
            IFNULL(SUM(debit_journal.debit_amount), 0) - IFNULL(SUM(credit_journal.credit_amount), 0) as balance
        FROM
            accounts_tbl
        LEFT JOIN
            debit_journal ON accounts_tbl.acc_id = debit_journal.debit_acc_id
        LEFT JOIN
            credit_journal ON accounts_tbl.acc_id = credit_journal.credit_acc_id
        GROUP BY
            accounts_tbl.acc_id;
    ";

    $result = $con->query($query);

    echo "<h2>Balance Sheet</h2>";
    echo "<table border='1'>";
    echo "<tr><th>Account Name</th><th>Category</th><th>Balance</th></tr>";

    while ($row = $result->fetch_assoc()) {
        echo "<tr><td>" . $row['acc_name'] . "</td><td>" . $row['cat_name'] . "</td><td>" . $row['balance'] . "</td></tr>";

        if ($row['cat_name'] == 'ASSETS') {
            $assets += $row['balance'];
        } elseif ($row['cat_name'] == 'LIABILITIES') {
            $liabilities += $row['balance'];
        } elseif ($row['cat_name'] == 'EQUITY / CAPITAL') {
            $equity += $row['balance'];
        }
    }

    echo "</table>";
    echo "<p>Total Assets: $assets</p>";
    echo "<p>Total Liabilities: $liabilities</p>";
    echo "<p>Total Equity: $equity</p>";
    echo "<p>Total Liabilities and Equity: " . ($liabilities + $equity) . "</p>";
}

?>

<!DOCTYPE html>
<html>
<head>
    <title>Balance Sheet</title>
</head>
<body>
    <?php generateBalanceSheet($con); ?>
</body>
</html>

<?php
$con->close();
?>
