<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Cashier Scanner</title>
    <script>
        // Function to handle form submission
        function submitBarcode() {
            var invoiceNo = document.getElementById('barcodeInput').value;
            if (invoiceNo) {
                // Send data to scanner.php using fetch API
                fetch('scanner.php', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded',
                    },
                    body: 'invoiceNo=' + encodeURIComponent(invoiceNo)
                })
                .then(response => response.text())
                .then(data => {
                    // Handle response from scanner.php
                    document.getElementById('response').innerHTML = data;
                    document.getElementById('barcodeInput').value = ''; // Clear input
                })
                .catch(error => {
                    console.error('Error:', error);
                });
            } else {
                alert('Please scan or enter a barcode.');
            }
        }

        // Function to start scanning
        function startScanning() {
            document.getElementById('barcodeInput').focus(); // Focus the input field
            document.getElementById('barcodeInput').select(); // Select input content (optional)
        }

        // Optional: To handle pressing "Enter" to submit
        document.addEventListener('DOMContentLoaded', function() {
            document.getElementById('barcodeInput').addEventListener('keypress', function(event) {
                if (event.key === 'Enter') {
                    submitBarcode();
                }
            });
        });
    </script>
</head>
<body>
    <h1>Cashier Barcode Scanner</h1>
    <label for="barcodeInput">Scan or Enter Invoice Number:</label>
    <input type="text" id="barcodeInput" autofocus>
    <button onclick="submitBarcode()">Submit</button>
    <button onclick="startScanning()">Start Scanning</button>
    
    <div id="response"></div> <!-- To display server response -->
</body>
</html>
