<?php
// Include database connection
include "../settings/db/db.php"; // Make sure the path is correct

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Get the journal number and cid from POST request
    $journal_no = $_POST['journal_no'] ?? '';
    $cid = $_POST['cid'] ?? '';

    // Check if both journal number and cid are provided
    if (!empty($journal_no) && !empty($cid)) {
        // Prepare the SQL statement for deletion
        $sql = "DELETE FROM credit_journal WHERE journal_no = ? AND cid = ?";

        // Initialize prepared statement
        if ($stmt = $con->prepare($sql)) {
            // Bind parameters
            $stmt->bind_param("si", $journal_no, $cid); // Adjust the type as needed

            // Execute the statement
            if ($stmt->execute()) {
                if ($stmt->affected_rows > 0) {
                    echo "Success";
                } else {
                    echo "No record found for deletion.";
                }
            } else {
                echo "Error executing statement: " . $stmt->error;
            }

            // Close the statement
            $stmt->close();
        } else {
            echo "Error preparing statement: " . $con->error;
        }

        // Close the connection
        $con->close();
    } else {
        echo "Invalid journal number or cid.";
    }
} else {
    echo "Invalid request.";
}
?>
