<?php
include ('../settings/db/db.php'); // Database connection details stored here
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title><?php include_once ('../settings/inc/title/title.php'); ?>| Dashboard</title>
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="../settings/setup/plugins/fontawesome-pro/css/all.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="../settings/setup/plugins/ionicons-2.0.1/css/ionicons.min.css">
    <!-- Tempusdominus Bootstrap 4 -->
    <link rel="stylesheet" href="../settings/setup/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
    <!-- iCheck -->
    <link rel="stylesheet" href="../settings/setup/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <!-- JQVMap -->
    <link rel="stylesheet" href="../settings/setup/plugins/jqvmap/jqvmap.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="../settings/setup/dist/css/adminlte.min.css">
    <!-- overlayScrollbars -->
    <link rel="stylesheet" href="../settings/setup/plugins/overlayScrollbars/css/OverlayScrollbars.min.css">
    <!-- DataTables -->
    <link rel="stylesheet" href="../../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="../../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
    <link rel="stylesheet" href="../../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="../settings/setup/bootstrap/css/simplebootstrap.css">
</head>
<body class="hold-transition sidebar-mini layout-fixed layout-footer-fixed layout-navbar-fixed sidebar-collapse">
<div class="wrapper">

    <?php
    include_once "../settings/inc/nav.php"; // Navigation bar
    ?>

    <!-- Content Wrapper -->
<div class="content-wrapper" style="background-color: #2F4F4F; color: white; ">
    <!-- Content Header -->
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0">
                        Dashboard
                        <small>Control panel</small>
                    </h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="#">Home</a></li>
                        <li class="breadcrumb-item active">Dashboard</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <!-- Ledger Table -->
            <div class="card card-outline">
                <div class="card-header" style="background-color: #0d47a1; color: white; padding: 4px;">
                    <h3 class="card-title">Type account name to search</h3>
                </div>
                <div class="card-body" style="background-color: #c1ab86; color: black; padding: 4px;">
    <div class="table-responsive">
        <?php
        // Query to fetch journal and account data
        $sql = "
        SELECT 
            j.journal_date, 
            j.journal_no, 
            j.journal_memo,
            acc.acc_name,
            acc.acc_type,
            acc.acc_id, 
            acc.cat_name,
            COALESCE(SUM(CASE WHEN d.debit_acc_id = acc.acc_id THEN d.debit_amount END), 0) AS total_debit_amount, 
            COALESCE(SUM(CASE WHEN c.credit_acc_id = acc.acc_id THEN c.credit_amount END), 0) AS total_credit_amount
        FROM 
            journal j
        LEFT JOIN 
            debit_journal d ON j.journal_no = d.journal_no
        LEFT JOIN 
            credit_journal c ON j.journal_no = c.journal_no
        LEFT JOIN 
            accounts_tbl acc ON acc.acc_id IN (d.debit_acc_id, c.credit_acc_id)
        GROUP BY 
            acc.cat_name, acc.acc_name, acc.acc_type, acc.acc_id, j.journal_date, j.journal_no, j.journal_memo
        ORDER BY 
            acc.cat_name, j.journal_date, j.journal_no, acc.acc_name";
        
        $result = $con->query($sql);

        // Check if query was successful
        if (!$result) {
            die("Database query failed: " . $con->error);
        }

        // Display the data in a table format
        if ($result->num_rows > 0) {
            $current_category = null;
            $table_count = 0; // Counter for unique table IDs
            while ($row = $result->fetch_assoc()) {
                if ($current_category !== $row['cat_name']) {
                    if ($current_category !== null) {
                        echo "</tbody></table><br>";
                    }
                    $current_category = $row['cat_name'];
                    $table_id = "example" . ++$table_count; // Unique table ID
                    echo "<h3>{$current_category}</h3>";
                    echo "<table class='table table-bordered table-striped dataTable' id='{$table_id}'>
                             <thead style='background-color: #004d40; border-color: #004d40; color: white; line-height: 0;'>
                                <tr>
                                    <th>Date</th>
                                    <th>Account Name</th>
                                    <th>Type</th>
                                    <th>ID</th>
                                    <th>Description</th>
                                    <th>Debit</th>
                                    <th>Credit</th>
                                    <th>Balance</th>
                                </tr>
                            </thead>
                            <tbody>";
                }
              
    // Calculate the balance based on acc_type
    if ($row['acc_type'] === 'Debit') {
        $balance = $row['total_debit_amount'] - $row['total_credit_amount'];
        $balance_type = ($balance < 0) ? 'Cr' : 'Dr'; // Debit accounts
    } elseif ($row['acc_type'] === 'Credit') {
        $balance = $row['total_credit_amount'] - $row['total_debit_amount'];
        $balance_type = ($balance < 0) ? 'Dr' : 'Cr'; // Credit accounts
    }

    // Displaying the table row
    $balance_class = ($balance < 0) ? 'text-danger' : 'text-success'; // Add CSS classes for coloring
    echo "<tr>
            <td>{$row['journal_date']}</td>
            <td>{$row['acc_name']}</td>
            <td>{$row['acc_type']}</td>
            <td>{$row['acc_id']}</td>
            <td>{$row['journal_memo']}</td>
            <td class='text-right'>".number_format($row['total_debit_amount'], 2)."</td>
            <td class='text-right'>".number_format($row['total_credit_amount'], 2)."</td>
            <td class='text-right $balance_class'>".number_format($balance, 2)." $balance_type</td>
          </tr>";

            }
            echo "</tbody></table>";
        } else {
            echo "No accounts found.";
        }

        // Close the database connection
        $con->close();
        ?>
    </div>
</div>



                
            </div>
        </div>
    </section>
    
</div>

<!-- Footer -->
<?php include("../settings/inc/title/footer.php"); ?>

<!-- jQuery -->
<script src="../settings/setup/plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../settings/setup/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables & Plugins -->
<script src="../settings/setup/plugins/datatables/jquery.dataTables.min.js"></script>
<script src="../settings/setup/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../settings/setup/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../settings/setup/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../settings/setup/plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../settings/setup/plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../settings/setup/plugins/jszip/jszip.min.js"></script>
<script src="../settings/setup/plugins/pdfmake/pdfmake.min.js"></script>
<script src="../settings/setup/plugins/pdfmake/vfs_fonts.js"></script>
<script src="../settings/setup/plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../settings/setup/plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../settings/setup/plugins/datatables-buttons/js/buttons.colVis.min.js"></script>

<!-- DataTables Initialization -->
<script type="text/javascript">
    $(document).ready(function() {
        // Initialize DataTables for all tables with the class 'dataTable'
        $('table.dataTable').each(function() {
            $(this).DataTable({
                "responsive": true,
                "lengthChange": false,
                "autoWidth": false,
                "paging": true,
                "searching": true,
                "ordering": true,
                "info": true,
                "iDisplayLength": 10,
                "aLengthMenu": [[5, 10, -1], [5, 10, "All"]],
                "buttons": ["copy", "excel", "pdf", "print"]
            }).buttons().container().appendTo($(this).closest('.dataTables_wrapper').find('.col-md-6:eq(0)'));
        });
    });
</script>
</body>
</html>
