<?php
include ('../settings/db/db.php');  // Database connection
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title><?php include_once ('../settings/inc/title/title.php'); ?>| Dashboard</title>
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../settings/setup/plugins/fontawesome-pro/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="../settings/setup/plugins/ionicons-2.0.1/css/ionicons.min.css">
  <!-- Tempusdominus Bootstrap 4 -->
  <link rel="stylesheet" href="../settings/setup/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
  <!-- iCheck -->
  <link rel="stylesheet" href="../settings/setup/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
  <!-- JQVMap -->
  <link rel="stylesheet" href="../settings/setup/plugins/jqvmap/jqvmap.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../settings/setup/plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="../settings/setup/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <!-- Bootstrap4 Duallistbox -->
  <link rel="stylesheet" href="../settings/setup/plugins/bootstrap4-duallistbox/bootstrap-duallistbox.min.css">
  <!-- BS Stepper -->
  <link rel="stylesheet" href="../settings/setup/plugins/bs-stepper/css/bs-stepper.min.css">
  <!-- dropzonejs -->
  <link rel="stylesheet" href="../settings/setup/plugins/dropzone/min/dropzone.min.css">
 
 
  <!-- overlayScrollbars -->
  <link rel="stylesheet" href="../settings/setup/plugins/overlayScrollbars/css/OverlayScrollbars.min.css">
  <!-- Daterange picker -->
  <link rel="stylesheet" href="../settings/setup/plugins/daterangepicker/daterangepicker.css">
  <script src="js/jquery.js" type="text/javascript"></script>
<script src="js/bootstrap.js" type="text/javascript"></script>

<script type="text/javascript" charset="utf-8" language="javascript" src="js/jquery.dataTables.js"></script>
<script type="text/javascript" charset="utf-8" language="javascript" src="js/DT_bootstrap.js"></script>
   <link rel="stylesheet" href="../settings/setup/css/jquery-ui.min.css">

    <link rel="stylesheet" href="../settings/setup/dist/css/adminlte.min.css">
    
   <link rel="stylesheet" href="../settings/setup/bootstrap/css/simplebootstrap.css">
</head>

<body class="hold-transition sidebar-mini layout-fixed layout-footer-fixed layout-navbar-fixed sidebar-collapse">
<div class="wrapper">

<?php include_once "../settings/inc/nav.php"; ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper" style="background-color: #2F4F4F; color: white;">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Simple Tables</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Simple Tables</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

  <?php
// Fetch users from the users table
try {
    $user_stmt = $dbo->query("SELECT uid, userid FROM users");
    $users = $user_stmt->fetchAll(PDO::FETCH_ASSOC);
} catch (PDOException $e) {
    echo "Error fetching users: " . $e->getMessage();
}
try {
    $cus_stmt = $dbo->query("SELECT id, name FROM customer");
    $customers = $cus_stmt->fetchAll(PDO::FETCH_ASSOC);
} catch (PDOException $e) {
    echo "Error fetching users: " . $e->getMessage();
}
try {
    $t_stmt = $dbo->query("SELECT c.trade_name, i.sno 
                           FROM `medicine_list` AS c 
                           INNER JOIN `inventory` AS i 
                           ON c.sno = i.sno 
                           ORDER BY i.sno DESC"); // Correct placement of DESC
    $products = $t_stmt->fetchAll(PDO::FETCH_ASSOC);
} catch (PDOException $e) {
    echo "Error fetching products: " . $e->getMessage();
}


// Fetch the 'd1', 'd2', and 'userid' from GET request
$start_date = $_GET['d1'] ?? '';
$end_date = $_GET['d2'] ?? '';
$user_id = $_GET['userid'] ?? '';
$cus_name = $_GET['name'] ?? '';
$t_name = $_GET['trade_name'] ?? '';

// Prepare the SQL query
$sql = "SELECT c.trade_name, s.entrant,s.customer, c.generic_name, s.dateT, s.time, s.profit, 
               s.transaction_id, s.invoiceNo, s.amount, s.cost_price, s.qty_sold
        FROM medicine_list AS c
        INNER JOIN sales_list AS s ON c.sno = s.sno
        WHERE STR_TO_DATE(s.dateT, '%m/%d/%Y') BETWEEN :start_date AND :end_date";

// Add user filter if applicable
if (!empty($user_id)) {
    $sql .= " AND s.entrant = :userid";
}
if (!empty($cus_name)) {
    $sql .= " AND s.customer = :name";
}
if (!empty($t_name)) {
    $sql .= " AND s.trade_name = :trade_name";
}

$sql .= " ORDER BY s.transaction_id DESC";

try {
    $stmt = $dbo->prepare($sql);
    $stmt->bindValue(':start_date', $start_date);
    $stmt->bindValue(':end_date', $end_date);

    if (!empty($user_id)) {
        $stmt->bindValue(':userid', $user_id);
    }
    if (!empty($cus_name)) {
        $stmt->bindValue(':name', $cus_name);
    }
    if (!empty($t_name)) {
        $stmt->bindValue(':trade_name', $t_name);
    }

    $stmt->execute();
    $result = $stmt->fetchAll(PDO::FETCH_ASSOC);
} catch (PDOException $e) {
    echo "Error fetching sales report: " . $e->getMessage();
}
?>
<section class="content">
<div class="container-fluid">
  <div class="row">
    <div class="col-12">
<!-- HTML Form to select date range and user for the sales report -->
<form action="general_sales_report.php" method="get">
   <div class="row">
   <div class="col-sm-4">
    <div class="row">
        <div class="col">
                From: <input class="form-control" type="date" name="d1" value="<?php echo htmlspecialchars($start_date); ?>" required />
               </div>
               <div class="col"> To: <input class="form-control"type="date" name="d2" value="<?php echo htmlspecialchars($end_date); ?>" required />
               </div>
               </div>
               </div>

               <div class="col-sm-2"> Brand Name: 
       
       <select class="form-control select2" name="trade_name">
                       <option value="">all Products</option>
                       <?php foreach ($products as $product): ?>
                           <option value="<?php echo htmlspecialchars($product['trade_name']); ?>" <?php echo ($product['sno'] == $t_name) ? 'selected' : ''; ?>>
                               <?php echo htmlspecialchars($product['trade_name']); ?>
                           </option>
                       <?php endforeach; ?>
                   </select>
                             </div>

               <div class="col-sm-2"> User: 
                <select class="form-control select2" name="userid">
                    <option value="">All Users</option>
                    <?php foreach ($users as $user): ?>
                        <option value="<?php echo htmlspecialchars($user['userid']); ?>" <?php echo ($user['uid'] == $user_id) ? 'selected' : ''; ?>>
                            <?php echo htmlspecialchars($user['userid']); ?>
                        </option>
                    <?php endforeach; ?>
                </select>
            </div>
            <div class="col-sm-2"> Customer: 
       
    <select class="form-control select2" name="name">
                    <option value="">all customers</option>
                    <?php foreach ($customers as $customer): ?>
                        <option value="<?php echo htmlspecialchars($customer['name']); ?>" <?php echo ($customer['id'] == $cus_name) ? 'selected' : ''; ?>>
                            <?php echo htmlspecialchars($customer['name']); ?>
                        </option>
                    <?php endforeach; ?>
                </select>
                          </div>
            
   <div class="col-sm-1">
    <br>
            <button type="submit" class="btn btn-success">Filter</button>
            </div>
            </div>
            <br>
            <div class="row">
            <div class="col-sm-3">
    
        <div class="col">
    
<a href="generate_sales_report.php?d1=<?php echo htmlspecialchars($start_date); ?>&d2=<?php echo htmlspecialchars($end_date); ?>">
                <button type="button" class="btn btn-primary pull-right" style="margin-right: 5px;">
                    <i class="fa fa-download"></i> Excel Report
                </button>
            </a>
          <a href="generate_salespdf_report.php?d1=<?php echo htmlspecialchars($start_date); ?>&d2=<?php echo htmlspecialchars($end_date); ?>">
                <button type="button" class="btn btn-primary pull-right" style="margin-right: 5px;">
                    <i class="fa fa-download"></i> Pdf Report
                </button>
            </a>
            </div>
            </div>
            </div>
</form>
</div>
</div>
</div>
</section>
<br>
<!-- Display the sales report -->
<section class="content">
<div class="container-fluid">
  <div class="row">
    <div class="col-12">
    <div class="card card-outline">
        <div class="card-header with-border" style="background-color: #0d47a1; color: white; padding: 4px;">
        <h3 class="card-title">Type Invoice No to search</h3>
          </div>
          <!-- /.box-header -->
          <!-- form start -->

<div class="card-body" style="background-color: #c1ab86; border-color: #c1ab86; color: black;">
<div class="table-responsive">



            <div class="content" id="content">
                <div style="font-weight:bold; text-align:center;font-size:14px;margin-bottom: 15px;">
                    Sales Report from&nbsp;<?php echo htmlspecialchars($start_date); ?>&nbsp;to&nbsp;<?php echo htmlspecialchars($end_date); ?>
                </div>

                <table class="table table-bordered table-striped" id="table_example">
                <thead  style="background-color: #004d40; border-color: #004d40; color: white;line-height: 0;">		
                <tr>
                            <th style="text-align:center;width:15%;">Date and Time </th>
                            <th style="text-align:center;width:10%;"> Dispenser </th>
                            <th style="text-align:center;width:20%;"> Invoice No. </th>
                            <th style="text-align:center;width:20%;"> Trade Name </th>
                            <th style="text-align:center;width:20%;"> Generic Name </th>
                            <th style="text-align:center;width:7%;"> Qty </th>
                            <th style="text-align:center;width:10%;"> Amount </th>
                            <th style="text-align:center;width:10%;"> Profit </th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php
                    // Initialize totals
                    $total_sales = 0.0;
                    $total_profit = 0.0;

                    // Iterate through the result and calculate totals safely
                    foreach ($result as $row) {
                        // Convert amount and profit to floats
                        $amount = (float) $row['amount'];
                        $profit = (float) $row['profit'];
                        
                        // Add to totals
                        $total_sales += $amount;
                        $total_profit += $profit;
                        
                        // Display the row
                        ?>
                        <tr class="record">
                            <td><?php echo htmlspecialchars($row['dateT']) . ', ' . htmlspecialchars($row['time']); ?></td>
                            <td><?php echo htmlspecialchars($row['entrant']); ?></td>
                            <td><?php echo htmlspecialchars($row['invoiceNo']); ?></td>
                            <td><?php echo htmlspecialchars($row['trade_name']); ?></td>
                            <td><?php echo htmlspecialchars($row['generic_name']); ?></td>
                            <td><?php echo htmlspecialchars($row['qty_sold']); ?></td>
                            <td><?php echo number_format($amount, 2); ?></td>
                            <td><?php echo number_format($profit, 2); ?></td>
                        </tr>
                        <?php
                    }
                    ?>
                    </tbody>
                    <tfooter>
                        <tr>
                            <th colspan="6">Total:</th>
                            <th><?php echo number_format($total_sales, 2); ?></th>
                            <th><?php echo number_format($total_profit, 2); ?></th>
                        </tr>
                    </tfooter>
                </table>
            </div>

            <script>
  $(function () {
    // Initialize Select2 Elements
    $('.select2').select2();

    // Initialize Select2 Elements with Bootstrap 4 theme
    $('.select2bs4').select2({
      theme: 'bootstrap4'
    });

    // DropzoneJS Demo Code End
  });
</script>

            <?php include("../settings/inc/title/footer.php"); ?>
            <!-- jQuery -->
            <script src="../settings/setup/plugins/jquery/jquery.min.js"></script>
            <!-- Bootstrap 4 -->
            <script src="../settings/setup/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
            <!-- AdminLTE App -->
            <script src="../settings/setup/dist/js/adminlte.min.js"></script>
            <!-- DataTables -->
  
            <script src="../settfings/setup/js/jquery-1.10.2.min.js"></script>
        <script src="../settvings/setup/js/jquery-ui-1.10.3.custom.min.js"></script>
        
<script src="../settings/setup/plugins/select2/js/select2.full.min.js"></script>

        </div>
        </div>
        </div>
        </div>
        </div>
        </div>
    </section>
  </div>
</div>
</body>
</html>
