
<?php
function generateBalanceSheet($con, $start_date = null, $end_date = null) {
    $assets = 0;
    $liabilities = 0;
    $equity = 0;

    $date_filter = "";
    if ($start_date && $end_date) {
        $date_filter = "AND date_created BETWEEN '$start_date' AND '$end_date'";
    }

    $query = "SELECT acc_name, cat_name, acc_type, balance FROM accounts_tbl WHERE 1=1 $date_filter";
    $result = $con->query($query);

    echo "<h2>Balance Sheet</h2>";
    echo "<table border='1'>";
    echo "<tr><th>Account Name</th><th>Category</th><th>Balance</th></tr>";

    while ($row = $result->fetch_assoc()) {
        echo "<tr><td>" . $row['acc_name'] . "</td><td>" . $row['cat_name'] . "</td><td>" . $row['balance'] . "</td></tr>";

        if ($row['cat_name'] == 'ASSETS') {
            $assets += $row['balance'];
        } elseif ($row['cat_name'] == 'LIABILITIES') {
            $liabilities += $row['balance'];
        } elseif ($row['cat_name'] == 'EQUITY / CAPITAL') {
            $equity += $row['balance'];
        }
    }

    echo "</table>";
    echo "<p>Total Assets: $assets</p>";
    echo "<p>Total Liabilities: $liabilities</p>";
    echo "<p>Total Equity: $equity</p>";
}
?>

<?php
function generateCashFlowStatement($con) {
    $cash_inflows = 0;
    $cash_outflows = 0;

    $query = "SELECT debit_acc_id, credit_acc_id, debit_amount, credit_amount, journal_memo, journal_date FROM journal";
    $result = $conn->query($query);

    echo "<h2>Cash Flow Statement</h2>";
    echo "<table border='1'>";
    echo "<tr><th>Memo</th><th>Amount</th><th>Date</th></tr>";

    while ($row = $result->fetch_assoc()) {
        echo "<tr><td>" . $row['journal_memo'] . "</td><td>" . $row['debit_amount'] . "</td><td>" . $row['journal_date'] . "</td></tr>";

        // Assuming that debits to 'Cash' account represent cash inflows and credits represent cash outflows
        if ($row['debit_acc_id'] == 4) { // Assuming 4 is the acc_id for Cash Account
            $cash_inflows += $row['debit_amount'];
        } elseif ($row['credit_acc_id'] == 4) {
            $cash_outflows += $row['credit_amount'];
        }
    }

    $net_cash_flow = $cash_inflows - $cash_outflows;

    echo "</table>";
    echo "<p>Total Cash Inflows: $cash_inflows</p>";
    echo "<p>Total Cash Outflows: $cash_outflows</p>";
    echo "<p>Net Cash Flow: $net_cash_flow</p>";
}
?>

<?php
function generateIncomeStatement($con) {
    $revenues = 0;
    $expenses = 0;

    $query = "SELECT acc_name, cat_name, balance FROM accounts_tbl WHERE cat_name IN ('REVENUE', 'EXPENSE')";
    $result = $con->query($query);

    echo "<h2>Income Statement</h2>";
    echo "<table border='1'>";
    echo "<tr><th>Account Name</th><th>Balance</th></tr>";

    while ($row = $result->fetch_assoc()) {
        echo "<tr><td>" . $row['acc_name'] . "</td><td>" . $row['balance'] . "</td></tr>";

        if ($row['cat_name'] == 'REVENUE') {
            $revenues += $row['balance'];
        } elseif ($row['cat_name'] == 'EXPENSE') {
            $expenses += $row['balance'];
        }
    }

    $net_income = $revenues - $expenses;

    echo "</table>";
    echo "<p>Total Revenues: $revenues</p>";
    echo "<p>Total Expenses: $expenses</p>";
    echo "<p>Net Income: $net_income</p>";
}
?>

<?php
function generateBalanceSheet($con) {
    $assets = 0;
    $liabilities = 0;
    $equity = 0;

    $query = "SELECT acc_name, cat_name, acc_type, balance FROM accounts_tbl";
    $result = $con->query($query);

    echo "<h2>Balance Sheet</h2>";
    echo "<table border='1'>";
    echo "<tr><th>Account Name</th><th>Category</th><th>Balance</th></tr>";

    while ($row = $result->fetch_assoc()) {
        echo "<tr><td>" . $row['acc_name'] . "</td><td>" . $row['cat_name'] . "</td><td>" . $row['balance'] . "</td></tr>";

        if ($row['cat_name'] == 'ASSETS') {
            $assets += $row['balance'];
        } elseif ($row['cat_name'] == 'LIABILITIES') {
            $liabilities += $row['balance'];
        } elseif ($row['cat_name'] == 'EQUITY / CAPITAL') {
            $equity += $row['balance'];
        }
    }

    echo "</table>";
    echo "<p>Total Assets: $assets</p>";
    echo "<p>Total Liabilities: $liabilities</p>";
    echo "<p>Total Equity: $equity</p>";
}
?>

<?php
include "../settings/db/db.php";

$start_date = $_POST['start_date'];
$end_date = $_POST['end_date'];

generateBalanceSheet($con, $start_date, $end_date);
generateIncomeStatement($con, $start_date, $end_date);
generateCashFlowStatement($con, $start_date, $end_date);

$con->close();
?>
<?php
include "../settings/db/db.php";

$start_date = '2024-09-01';
$end_date = '2024-09-30';

generateBalanceSheet($con, $start_date, $end_date);
generateIncomeStatement($con, $start_date, $end_date);
generateCashFlowStatement($con, $start_date, $end_date);

$con->close();
?>