<?php
include('../settings/db/db.php'); // Database connection details stored here
?>

<!DOCTYPE html>  
<html lang="en">  
<head>  
    <meta charset="UTF-8">  
    <meta http-equiv="X-UA-Compatible" content="IE=edge">  
    <meta name="viewport" content="width=device-width, initial-scale=1.0">  
    <title>Dashboard</title>  

    <!-- CSS Links -->  
    <link rel="stylesheet" href="../settings/setup/plugins/fontawesome-pro/css/all.min.css">  
    <link rel="stylesheet" href="../settings/setup/plugins/ionicons-2.0.1/css/ionicons.min.css">  
    <link rel="stylesheet" href="../settings/setup/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">  
    <link rel="stylesheet" href="../settings/setup/plugins/icheck-bootstrap/icheck-bootstrap.min.css">  
    <link rel="stylesheet" href="../settings/setup/plugins/jqvmap/jqvmap.min.css">  
    <link rel="stylesheet" href="../settings/setup/dist/css/adminlte.min.css">  
    <link rel="stylesheet" href="../settings/setup/plugins/overlayScrollbars/css/OverlayScrollbars.min.css">  
    <link rel="stylesheet" href="../../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">  
    <link rel="stylesheet" href="../../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">  
    <link rel="stylesheet" href="../../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">  
    <link rel="stylesheet" href="../settings/setup/bootstrap/css/simplebootstrap.css">  
</head>  
<body class="hold-transition sidebar-mini layout-fixed layout-footer-fixed layout-navbar-fixed sidebar-collapse">  
<div class="wrapper">  

    <?php include_once "../settings/inc/nav.php"; // Navigation bar ?>  

    <!-- Content Wrapper -->  
    <div class="content-wrapper" style="background-color: #2F4F4F; color: white;">  
        <!-- Content Header -->  
        <div class="content-header">  
            <div class="container-fluid">  
                <div class="row mb-2">  
                    <div class="col-sm-6">  
                        <h1 class="m-0">Dashboard <small>Control panel</small></h1>  
                    </div>  
                    <div class="col-sm-6">  
                        <ol class="breadcrumb float-sm-right">  
                            <li class="breadcrumb-item"><a href="#">Home</a></li>  
                            <li class="breadcrumb-item active">Dashboard</li>  
                        </ol>  
                    </div>  
                </div>  
            </div>  
        </div>  
        
        <!-- Main content -->  
        <section class="content">  
            <div class="container-fluid">  
                <!-- Ledger Table -->  
                <div class="card card-outline">  
                    <div class="card-header" style="background-color: #0d47a1; color: white; padding: 4px;">  
                        <h3 class="card-title">Type account name to search</h3>  
                    </div>  
                    <div class="card-body" style="background-color: #c1ab86; color: black; padding: 4px;">  
                        <div class="table-responsive">  
                            <?php  
                            // Query to fetch revenue and expense data  
                            $sql = "  
                            SELECT   
                                acc.acc_name,  
                                acc.acc_type,  
                                COALESCE(SUM(CASE WHEN d.debit_acc_id = acc.acc_id THEN d.debit_amount END), 0) AS total_debit_amount,   
                                COALESCE(SUM(CASE WHEN c.credit_acc_id = acc.acc_id THEN c.credit_amount END), 0) AS total_credit_amount  
                            FROM   
                                accounts_tbl acc  
                            LEFT JOIN   
                                debit_journal d ON acc.acc_id = d.debit_acc_id  
                            LEFT JOIN   
                                credit_journal c ON acc.acc_id = c.credit_acc_id  
                            GROUP BY   
                                acc.acc_name, acc.acc_type  
                            ORDER BY   
                                acc.acc_type, acc.acc_name";  

                            $result = $con->query($sql);  

                            // Check if query was successful  
                            if (!$result) {  
                                die("Query failed: " . $con->error);  
                            }  

                            // Initialize total revenue and expense  
                            $total_revenue = 0;  
                            $total_expense = 0;  

                            echo "<table class='table table-bordered table-striped'>  
                                    <thead style='background-color: #004d40; border-color: #004d40; color: white;'>  
                                        <tr>  
                                            <th>Account Name</th>  
                                            <th>Type</th>  
                                            <th>Total Debit</th>  
                                            <th>Total Credit</th>  
                                        </tr>  
                                    </thead>  
                                    <tbody>";  

                            while ($row = $result->fetch_assoc()) {  
                                // Sum revenues and expenses based on account type  
                                if ($row['acc_type'] === 'Revenue') {  
                                    $total_revenue += $row['total_credit_amount']; // Total Credit for Revenues  
                                } elseif ($row['acc_type'] === 'Expense') {  
                                    $total_expense += $row['total_debit_amount']; // Total Debit for Expenses  
                                }  

                                // Displaying the table row  
                                echo "<tr>  
                                        <td>" . htmlspecialchars($row['acc_name']) . "</td>  
                                        <td>" . htmlspecialchars($row['acc_type']) . "</td>  
                                        <td class='text-right'>" . number_format($row['total_debit_amount'], 2) . "</td>  
                                        <td class='text-right'>" . number_format($row['total_credit_amount'], 2) . "</td>  
                                      </tr>";  
                            }  

                            echo "</tbody></table>";  

                            // Calculate Net Income  
                            $net_income = $total_revenue - $total_expense;  

                            // Display summary  
                            echo "<h4>Summary</h4>  
                                  <table class='table table-bordered'>  
                                    <tr>  
                                        <th>Total Revenue</th>  
                                        <td class='text-right'>" . number_format($total_revenue, 2) . "</td>  
                                    </tr>  
                                    <tr>  
                                        <th>Total Expenses</th>  
                                        <td class='text-right'>" . number_format($total_expense, 2) . "</td>  
                                    </tr>  
                                    <tr>  
                                        <th><strong>Net Income</strong></th>  
                                        <td class='text-right'><strong>" . number_format($net_income, 2) . "</strong></td>  
                                    </tr>  
                                  </table>";  

                            // Close the database connection
                            $con->close();  
                            ?>  
                        </div>  
                    </div>  
                </div>  
            </div>  
        </section>  
    </div>  

    <!-- Footer -->  
    <?php include("../settings/inc/title/footer.php"); ?>  

    <!-- jQuery -->  
    <script src="../settings/setup/plugins/jquery/jquery.min.js"></script>  
    <!-- Bootstrap 4 -->  
    <script src="../settings/setup/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>  
    <!-- DataTables & Plugins -->  
    <script src="../settings/setup/plugins/datatables/jquery.dataTables.min.js"></script>  
    <script src="../settings/setup/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>  
    <script src="../settings/setup/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>  
    <script src="../settings/setup/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>  
    <script src="../settings/setup/plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>  
    <script src="../settings/setup/plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>  
    <script src="../settings/setup/plugins/jszip/jszip.min.js"></script>  
    <script src="../settings/setup/plugins/pdfmake/pdfmake.min.js"></script>  
    <script src="../settings/setup/plugins/pdfmake/vfs_fonts.js"></script>  
    <script src="../settings/setup/plugins/datatables-buttons/js/buttons.html5.min.js"></script>  
    <script src="../settings/setup/plugins/datatables-buttons/js/buttons.print.min.js"></script>  
    <script src="../settings/setup/plugins/datatables-buttons/js/buttons.colVis.min.js"></script>  

    <!-- DataTables Initialization -->  
    <script type="text/javascript">  
        $(document).ready(function() {  
            // Initialize DataTables for all tables with the class 'table'  
            $('table.table').DataTable({  
                "responsive": true,  
                "lengthChange": false,  
                "autoWidth": false,  
                "paging": true,  
                "searching": true,  
                "ordering": true,  
                "info": true,  
                "iDisplayLength": 10,  
                "aLengthMenu": [[5, 10, -1], [5, 10, "All"]],  
                "buttons": ["copy", "excel", "pdf", "print"]  
            }).buttons().container().appendTo($('.dataTables_wrapper .col-md-6:eq(0)'));  
        });  
    </script>  
</body>  
</html>
