<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Journal Entries</title>
    <link rel="stylesheet" href="path/to/your/css/file.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>
<body>
    <h1>Journal Entries</h1>
    <table id="journal_table">
        <thead>
            <tr>
                <th>Journal No</th>
                <th>Journal Date</th>
                <th>Journal Memo</th>
                <th>Debit Chart ID</th>
                <th>Debit Account ID</th>
                <th>Debit Amount</th>
                <th>Debit Memo</th>
                <th>Credit Chart ID</th>
                <th>Credit Account ID</th>
                <th>Credit Amount</th>
                <th>Credit Memo</th>
            </tr>
        </thead>
        <tbody>
            <!-- Data will be appended here -->
        </tbody>
    </table>
    <script src="path/to/your/js/file.js"></script>
</body>
</html>
<script>
  $(document).ready(function() {
    $.ajax({
        url: 'fetch_journals.php',
        type: 'GET',
        dataType: 'json',
        success: function(response) {
            console.log("Data fetched:", response); // Debug line
            var tbody = $('#journal_table tbody');
            tbody.empty(); // Clear any existing rows

            response.forEach(function(journal) {
                var row = '<tr>';
                row += '<td>' + journal.journal_no + '</td>';
                row += '<td>' + journal.journal_date + '</td>';
                row += '<td>' + journal.journal_memo + '</td>';
                row += '<td>' + (journal.debit_chart_id || '') + '</td>';
                row += '<td>' + (journal.debit_acc_id || '') + '</td>';
                row += '<td>' + (journal.debit_amount || '') + '</td>';
                row += '<td>' + (journal.debit_memo || '') + '</td>';
                row += '<td>' + (journal.credit_chart_id || '') + '</td>';
                row += '<td>' + (journal.credit_acc_id || '') + '</td>';
                row += '<td>' + (journal.credit_amount || '') + '</td>';
                row += '<td>' + (journal.credit_memo || '') + '</td>';
                row += '</tr>';

                tbody.append(row);
            });
        },
        error: function(err) {
            console.error("Error fetching journal entries:", err);
            alert("Failed to fetch journal entries.");
        }
    });
});

</script>