<?php include('../settings/db/db.php'); // Database connection details stored here ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title><?php include_once('../settings/inc/title/title.php'); ?> | Dashboard</title>
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../settings/setup/plugins/fontawesome-pro/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="../settings/setup/plugins/ionicons-2.0.1/css/ionicons.min.css">
  <!-- Tempusdominus Bootstrap 4 -->
  <link rel="stylesheet" href="../settings/setup/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
  <!-- iCheck -->
  <link rel="stylesheet" href="../settings/setup/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
  <!-- JQVMap -->
  <link rel="stylesheet" href="../settings/setup/plugins/jqvmap/jqvmap.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../settings/setup/dist/css/adminlte.min.css">
  <!-- overlayScrollbars -->
  <link rel="stylesheet" href="../settings/setup/plugins/overlayScrollbars/css/OverlayScrollbars.min.css">
  <!-- Daterange picker -->
  <link rel="stylesheet" href="../settings/setup/plugins/daterangepicker/daterangepicker.css">
  <script src="js/jquery.js" type="text/javascript"></script>
  <script src="js/bootstrap.js" type="text/javascript"></script>
  <script type="text/javascript" charset="utf-8" language="javascript" src="js/jquery.dataTables.js"></script>
  <script type="text/javascript" charset="utf-8" language="javascript" src="js/DT_bootstrap.js"></script>
  
  <style>
    .header-fixed {
      width: 100%;
    }

    .header-fixed > thead,
    .header-fixed > tbody,
    .header-fixed > thead > tr,
    .header-fixed > tbody > tr,
    .header-fixed > thead > tr > th,
    .header-fixed > tbody > tr > td {
      display: block;
    }

    .header-fixed > tbody > tr:after,
    .header-fixed > thead > tr:after {
      content: ' ';
      display: block;
      visibility: hidden;
      clear: both;
    }

    .header-fixed > tbody {
      overflow-y: auto;
      height: 800px;
    }

    .header-fixed > tbody > tr > td,
    .header-fixed > thead > tr > th {
      width: 14%;
      float: left;
    }

    #printable {
      display: none;
    }

    @media print {
      #non-printable {
        display: none;
      }

      #printable {
        display: block;
      }
    }
  </style>
  
  <link rel="stylesheet" href="../settings/setup/bootstrap/css/simplebootstrap.css">
</head>

<body class="hold-transition sidebar-mini layout-fixed layout-footer-fixed layout-navbar-fixed sidebar-collapse">
  <div class="wrapper">

    <?php include_once "../settings/inc/nav.php"; ?>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper" style="background-color: #2F4F4F; color: white;">
      <!-- Content Header (Page header) -->
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6">
              <h1 class="m-0">
                Dashboard
                <small>Control panel</small>
              </h1>
            </div>
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="#">Home</a></li>
                <li class="breadcrumb-item active">Dashboard</li>
              </ol>
            </div>
          </div>
        </div>
      </div>

      <!-- Main content -->
      <section class="content" style="background-color: #2F4F4F; color: white;">
        <div class="container-fluid" style="background-color: #2F4F4F; color: white;">
          <!-- Default box -->
           
          <div class="card card-outline">
            <div class="card-header with-border" style="background-color: #0d47a1; color: white; padding: 4px;">
              <h3 class="card-title">Expired drugs in this Financial year</h3>
            </div>
            <div class="card-body" style="background-color: #c1ab86; border-color: #c1ab86; color: black;">
        <div ng-controller="customersCrtl">
                <div class="row">
                  <div ng-show="filteredItems > 0">
                <div id="printableArea"> 
                  <div class=" col-md-12"  >
                    <table id="example1" class="table table-striped table-bordered">
                      <thead> 
                      <tr>
                          <th style="text-align:left;width:50%;">Brand Name</th>
                          <th style="text-align:left;width:50%;">Generic Name</th>
                        </tr>
                      </thead>
                      <tbody>
                      <?php 
                        // Assuming $start_date and $end_date are already defined and formatted as 'Y-m-d H:i:s'
                        $query = mysqli_query($con, "SELECT c.trade_name, c.generic_name, i.quantity, i.expiry_date, i.batch FROM `medicine_list` AS c INNER JOIN `inventory` AS i ON c.sno = i.sno WHERE `quantity` <= 0 ORDER BY expiry_date ASC") or die(mysqli_error($con));

                        while ($row = mysqli_fetch_array($query)) {
                            // Output your data here

                        ?>
                        <tr>
                          <td style="text-align:left;width:50%;"><?php echo $row['trade_name']; ?></td>
                          <td><?php echo $row['generic_name'];?></td>
                        </tr>
                        <?php } ?>
                      </tbody>
                    </table>
                    </div>
                  </div>
                  </div>
                  </div>
          <input type="button" class="btn btn-default" onclick="printDiv('printableArea')" value="Print"/>
              </div>
            </div>
          
      </section>
    </div>

    <script src="../settings/setup/angular/angular.js"></script>
    <script src="../settings/setup/angular/angular-animate.js"></script>
    <script src="../settings/setup/angular/angular-sanitize.js"></script>
    <script src="../settings/setup/js/angular.min.js"></script>
    <script src="../settings/setup/js/ui-bootstrap-tpls-0.10.0.min.js"></script>
    <script src="../settings/setup/app/app.js"></script>
    <script>
      function printDiv(divName) {
        var printContents = document.getElementById(divName).innerHTML;
        var originalContents = document.body.innerHTML;
        document.body.innerHTML = printContents;
        window.print();
        document.body.innerHTML = originalContents;
      }
    </script>
    
    <?php include("../settings/inc/title/footer.php"); ?>
  </div>
</body>

</html>
