<?php
include ('../settings/db/db.php');  // Database connection
?><!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Dashboard</title>
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
 <!-- Font Awesome -->
 <link rel="stylesheet" href="../settings/setup/plugins/fontawesome-pro/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="../settings/setup/plugins/ionicons-2.0.1/css/ionicons.min.css">
  <!-- Tempusdominus Bootstrap 4 -->
  <link rel="stylesheet" href="../settings/setup/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
  <!-- iCheck -->
  <link rel="stylesheet" href="../settings/setup/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
  <!-- JQVMap -->
  <link rel="stylesheet" href="../settings/setup/plugins/jqvmap/jqvmap.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../settings/setup/dist/css/adminlte.min.css">
  <!-- overlayScrollbars -->
  <link rel="stylesheet" href="../settings/setup/plugins/overlayScrollbars/css/OverlayScrollbars.min.css">
  <!-- Daterange picker -->
  <!-- Bootstrap 4 and DataTables CSS -->
  <link rel="stylesheet" href="../settings/setup/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../settings/setup/plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../settings/setup/plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
</head>
<body>
<div class="wrapper">
<?php include_once "../settings/inc/nav.php"; ?>
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <section class="content">
      <div class="container-fluid">
        <div class="card card-outline">
          <div class="card-body">
            <div class="table-responsive">
              <table class="table table-bordered table-hover" id="example1">
                <thead>
                  <tr>
                    <th>Receipt No</th>
                    <th>Date</th>
                    <th>Time</th>
                    <th>Customer</th>
                    <th>Phone</th>
                    <th>Total</th>
                    <th>Entrant</th>
                    <th>Edit</th>
                    <th>Print</th>
                  </tr>
                </thead>
                <tbody>
                  <?php
                  // Fetch invoice data
                  $result = mysqli_query($con, "SELECT trade_name, sell_price, qty_sold, invoiceNo, dateT, time, customer, phone, SUM(amount) AS total, entrant FROM sales_list GROUP BY invoiceNo ORDER BY invoiceNo DESC") or die(mysqli_error($con));

                  while ($row = mysqli_fetch_array($result)) {
                  ?>
                  <tr>
                    <td><?php echo $row['invoiceNo']; ?></td>
                    <td><?php echo $row['dateT']; ?></td>
                    <td><?php echo $row['time']; ?></td>
                    <td><?php echo $row['customer']; ?></td>
                    <td><?php echo $row['phone']; ?></td>
                    <td><?php echo number_format($row['total']); ?></td>
                    <td><?php echo $row['entrant']; ?></td>
                    <td>
                      <form method="post" action="invoice_edit.php?invoiceNo=<?php echo $row['invoiceNo']; ?>">
                        <input type="submit" class="btn btn-success" value="Edit">
                      </form>
                    </td>
                    <td>
                      <form method="post" action="preview.php?invoiceNo=<?php echo $row['invoiceNo']; ?>">
                        <input type="submit" class="btn btn-primary" value="Print">
                      </form>
                    </td>
                  </tr>
                  <?php } ?>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>
</div>

<!-- jQuery -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../settings/setup/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables & Plugins -->
<script src="../settings/setup/plugins/datatables/jquery.dataTables.min.js"></script>
<script src="../settings/setup/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../settings/setup/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../settings/setup/plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>

<script>
  $(document).ready(function() {
    $('#example1').DataTable({
      "paging": true,
      "lengthChange": true,
      "searching": true,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
      "iDisplayLength": 10,
      "aLengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]]
    });
  });
</script>
</body>
</html>
