<?php
include ('../settings/db/db.php');  // Database connection
?>

<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title><?php include_once ('../settings/inc/title/title.php'); ?>| Dashboard</title>
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../settings/setup/plugins/fontawesome-pro/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="../settings/setup/plugins/ionicons-2.0.1/css/ionicons.min.css">
  <!-- Tempusdominus Bootstrap 4 -->
  <link rel="stylesheet" href="../settings/setup/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
  <!-- iCheck -->
  <link rel="stylesheet" href="../settings/setup/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../settings/setup/dist/css/adminlte.min.css">
  <!-- overlayScrollbars -->
  <link rel="stylesheet" href="../settings/setup/plugins/overlayScrollbars/css/OverlayScrollbars.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="../../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <!-- Custom Bootstrap -->
  <link rel="stylesheet" href="../settings/setup/bootstrap/css/simplebootstrap.css"> 
</head>
<body class="hold-transition sidebar-mini layout-fixed layout-footer-fixed layout-navbar-fixed sidebar-collapse">
<div class="wrapper">

<?php include_once "../settings/inc/nav.php"; ?>

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Dashboard <small>Control panel</small></h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Dashboard</li>
            </ol>
          </div>
        </div>
      </div>
    </div>
    
    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <!-- Default box -->
        <div class="card">
          <div class="card-header">
            <h3 class="card-title">Search Invoice No</h3>
          </div>
          <div class="card-body table-responsive p-0" style="height: 600px;">
                        <table class="table table-bordered table-striped  table-striped" id="example1">

                        <thead  style="background-color: #004d40; border-color: #004d40; color: white;line-height: 0;">		
                            <tr>
                    <th style="text-align:left;width:9%;">Receipt No</th>
                    <th style="text-align:center;">Date</th>
                    <th style="text-align:center;width:9%;">Time</th>
                    <th style="text-align:center;">Customer</th>
                    <th style="text-align:center;">Phone</th>
                    <th style="text-align:center;">Total</th>
                    <th style="text-align:center;">Entrant</th>
                    <th style="text-align:center;">Edit</th>
                    <th style="text-align:center;">Print</th>
                  </tr>
                </thead>
                <tbody>
                  <?php
                  //$currency = "$";  // Define the currency symbol
                  
                  // Fetch invoice data
                  $result = mysqli_query($con, "SELECT trade_name, sell_price, qty_sold, invoiceNo, dateT, time, customer, phone, SUM(amount) AS total, entrant FROM sales_list GROUP BY invoiceNo ORDER BY invoiceNo DESC") or die(mysqli_error($con));
                  
                  while ($row = mysqli_fetch_array($result)) {
                  ?>
                  <tr data-widget="expandable-table" aria-expanded="false">
                    <td style="width:100px;text-align:right;"><?php echo $row['invoiceNo']; ?></td>
                    <td style="width:200px;text-align:center;"><?php echo $row['dateT']; ?></td>
                    <td style="width:10%;text-align:center;"><?php echo $row['time']; ?></td>
                    <td style="width:200px;text-align:center;"><?php echo $row['customer']; ?></td>
                    <td style="width:200px;text-align:center;"><?php echo $row['phone']; ?></td>
                    <td style="width:150px;text-align:right;"><?php echo number_format($row['total']); ?></td>
                    <td style="width:200px;text-align:center;"><?php echo $row['entrant']; ?></td>
                    <td>
                      <form method="post" action="invoice_edit.php?invoiceNo=<?php echo $row['invoiceNo']; ?>">
                        <input type='submit' class="btn btn-success" style="background-color: #004d40; border-color: #004d40;line-height: 0.6;" value='Edit'>
                      </form>
                    </td>
                    <td>
                      <form method="post" action="preview.php?invoiceNo=<?php echo $row['invoiceNo']; ?>">
                        <input type='submit' class="btn btn-primary" style="background-color: #0d47a1; border-color: #0d47a1;line-height: 0.6;" value='Print'>
                      </form>
                    </td>
                  </tr>

                  <!-- Expandable Row with Invoice Details -->
                  <tr class="expandable-body">
                    <td colspan="9">
                      <p>
                      <?php
                      $invoiceNo = $row['invoiceNo'];  // Fetch each invoice's details
                      $resultas = mysqli_query($con, "SELECT trade_name, sell_price, qty_sold FROM sales_list WHERE invoiceNo='$invoiceNo'") or die(mysqli_error($con));
                      ?>
                      <table class="table table-bordered">
                        <thead>
                          <tr>
                            <th>Trade Name</th>
                            <th>Sell Price</th>
                            <th>Quantity Sold</th>
                          </tr>
                        </thead>
                        <tbody>
                        <?php
                        while ($rowas = mysqli_fetch_array($resultas)) {
                        ?>
                          <tr>
                            <td style="width:10%;text-align:right;"><?php echo $rowas['trade_name']; ?></td>
                            <td style="width:10%;text-align:center;"><?php echo $rowas['sell_price']; ?></td>
                            <td style="width:10%;text-align:center;"><?php echo $rowas['qty_sold']; ?></td>
                          </tr>
                        <?php } ?>
                        <!-- Row for Total Amount in Expandable Section -->
                        <tr>
                          <td colspan="2" style="text-align:right;">Total Amount:&nbsp;<?php echo $currency?></td>
                          <td style="text-align:center;">
                            <?php
                            $resultas = mysqli_query($con, "SELECT SUM(amount) AS amt FROM sales_list WHERE invoiceNo='$invoiceNo'") or die(mysqli_error($con));
                            $rowas = mysqli_fetch_array($resultas);
                            echo number_format($rowas['amt'], 2);
                            ?>
                          </td>
                        </tr>
                        </tbody>
                      </table>
                      </p>
                    </td>
                  </tr>

                  <?php } ?>
                </tbody>
              </table>
          </div>
        </div>
        <!-- /.card -->
      </div>
    </section>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->
<script>
  $(document).ready(function () {
    $("tr[data-widget='expandable-table']").on("click", function () {
      $(this).next('.expandable-body').toggle();
    });
  });
</script>



<?php // include("../settings/inc/title/footer.php"); ?>
<!-- jQuery -->
<script src="../settings/setup/plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../settings/setup/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE App -->
<script src="../set/tings/setup/dist/js/adminlte.min.js"></script>
<!-- DataTables -->
<script src="../settings/setup/plugins/datatables/jquery.dataTables.min.js"></script>
<script src="../settings/setup/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../settings/setup/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../settings/setup/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../settings/setup/plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../settings/setup/plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../settings/setup/plugins/jszip/jszip.min.js"></script>
<script src="../settings/setup/plugins/pdfmake/pdfmake.min.js"></script>
<script src="../settings/setup/plugins/pdfmake/vfs_fonts.js"></script>
<script src="../settings/setup/plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../settings/setup/plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../settings/setup/plugins/datatables-buttons/js/buttons.colVis.min.js"></script>



<script type="text/javascript">
   $('#example').dataTable({
   "iDisplayLength": 10,  // Number of rows per page
   "aLengthMenu": [[25, 50, -1], [25, 50, "All"]],
   "bDestroy": true,  // Allows reinitializing DataTable
   "paging": true,  // Ensure pagination is enabled
});

    </script>
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,"iDisplayLength": 50, "aLengthMenu": [[25, 50, -1], [25, 50, "All"]],
      "buttons": ["copy","excel", "pdf", "print"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": true,
      "ordering": true,
      "info": true,
      "autoWidth": true,
      "responsive": true,
    });
  });
</script>
<?php include("../settings/inc/title/footer.php"); ?>
    </body>
</html>
