<?php
include ('../settings/db/db.php'); // Database connection details stored here
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title><?php include_once ('../settings/inc/title/title.php'); ?>| Dashboard</title>
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="../settings/setup/plugins/fontawesome-pro/css/all.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="../settings/setup/plugins/ionicons-2.0.1/css/ionicons.min.css">
    <!-- Tempusdominus Bootstrap 4 -->
    <link rel="stylesheet" href="../settings/setup/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
    <!-- iCheck -->
    <link rel="stylesheet" href="../settings/setup/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <!-- JQVMap -->
    <link rel="stylesheet" href="../settings/setup/plugins/jqvmap/jqvmap.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="../settings/setup/dist/css/adminlte.min.css">
    <!-- overlayScrollbars -->
    <link rel="stylesheet" href="../settings/setup/plugins/overlayScrollbars/css/OverlayScrollbars.min.css">
    <!-- DataTables -->
    <link rel="stylesheet" href="../../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="../../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
    <link rel="stylesheet" href="../../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="../settings/setup/bootstrap/css/simplebootstrap.css">
</head>
<body class="hold-transition sidebar-mini layout-fixed layout-footer-fixed layout-navbar-fixed sidebar-collapse">
<div class="wrapper">

    <?php
    include_once "../settings/inc/nav.php"; // Navigation bar
    ?>

    <!-- Content Wrapper -->
<div class="content-wrapper">
    <!-- Content Header -->
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0">
                        Dashboard
                        <small>Control panel</small>
                    </h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="#">Home</a></li>
                        <li class="breadcrumb-item active">Dashboard</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <!-- Ledger Table -->
            <div class="card card-outline">
                <div class="card-header" style="background-color: #0d47a1; color: white; padding: 4px;">
                    <h3 class="card-title">Type account name to search</h3>
                </div>
                <div class="table-responsive">
    <?php
 
    // Query to fetch sales ledger data
    $sql = "
    SELECT 
        c.customer_name,
        s.sale_date,
        s.invoice_number,
        s.sale_amount,
        p.payment_date,
        p.payment_amount,
        (s.sale_amount - COALESCE(SUM(p.payment_amount), 0)) AS balance
    FROM 
        sales_list s
    LEFT JOIN 
        payments p ON s.invoice_number = p.invoice_number
    LEFT JOIN 
        customers c ON s.customer_id = c.customer_id
    GROUP BY 
        s.invoice_number
    ORDER BY 
        c.customer_name, s.sale_date";

    $result = $con->query($sql);

    // Check if query was successful
    if (!$result) {
        die("Database query failed: " . $con->error);
    }

    // Display the data in a table format
    if ($result->num_rows > 0) {
        echo "<h3>Sales Ledger</h3>";
        echo "<table class='table table-bordered table-striped'>
                 <thead style='background-color: #004d40; border-color: #004d40; color: white; line-height: 0;'>
                    <tr>
                        <th>Customer Name</th>
                        <th>Sale Date</th>
                        <th>Invoice Number</th>
                        <th>Sale Amount</th>
                        <th>Payment Date</th>
                        <th>Payment Amount</th>
                        <th>Balance</th>
                    </tr>
                </thead>
                <tbody>";
        while ($row = $result->fetch_assoc()) {
            echo "<tr>
                    <td>{$row['customer_name']}</td>
                    <td>{$row['sale_date']}</td>
                    <td>{$row['invoice_number']}</td>
                    <td class='text-right'>".number_format($row['sale_amount'], 2)."</td>
                    <td>{$row['payment_date']}</td>
                    <td class='text-right'>".number_format($row['payment_amount'], 2)."</td>
                    <td class='text-right'>".number_format($row['balance'], 2)."</td>
                </tr>";
        }
        echo "</tbody></table>";
    } else {
        echo "No sales records found.";
    }

    // Close the database connection
    $con->close();
    ?>
</div>




                
            </div>
        </div>
    </section>
    
</div>

<!-- Footer -->
<?php include("../settings/inc/title/footer.php"); ?>

<!-- jQuery -->
<script src="../settings/setup/plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../settings/setup/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables & Plugins -->
<script src="../settings/setup/plugins/datatables/jquery.dataTables.min.js"></script>
<script src="../settings/setup/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../settings/setup/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../settings/setup/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../settings/setup/plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../settings/setup/plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../settings/setup/plugins/jszip/jszip.min.js"></script>
<script src="../settings/setup/plugins/pdfmake/pdfmake.min.js"></script>
<script src="../settings/setup/plugins/pdfmake/vfs_fonts.js"></script>
<script src="../settings/setup/plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../settings/setup/plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../settings/setup/plugins/datatables-buttons/js/buttons.colVis.min.js"></script>

<!-- DataTables Initialization -->
<script type="text/javascript">
    $(document).ready(function() {
        // Initialize DataTables for all tables with the class 'dataTable'
        $('table.dataTable').each(function() {
            $(this).DataTable({
                "responsive": true,
                "lengthChange": false,
                "autoWidth": false,
                "paging": true,
                "searching": true,
                "ordering": true,
                "info": true,
                "iDisplayLength": 10,
                "aLengthMenu": [[5, 10, -1], [5, 10, "All"]],
                "buttons": ["copy", "excel", "pdf", "print"]
            }).buttons().container().appendTo($(this).closest('.dataTables_wrapper').find('.col-md-6:eq(0)'));
        });
    });
</script>
</body>
</html>
