<?php
include ('../settings/db/db.php');// database connection details stored here

// Get the search query
$query = isset($_GET['query']) ? $_GET['query'] : '';

// Prepare the SQL statement to prevent SQL injection
$sql = "SELECT c.trade_name, c.generic_name, i.id, i.cost_price, i.sell_price, i.quantity, i.qty_stocked, i.expiry_date 
        FROM `medicine_list` AS c 
        INNER JOIN `inventory` AS i ON c.sno = i.sno 
        WHERE (c.trade_name LIKE :query OR c.generic_name LIKE :query OR i.cost_price LIKE :query OR i.sell_price LIKE :query) 
        AND i.quantity >= 0";

$stmt = $dbo->prepare($sql);
$stmt->bindValue(':query', '%' . $query . '%', PDO::PARAM_STR);
$stmt->execute();

// Fetch the results
$results = $stmt->fetchAll(PDO::FETCH_ASSOC);

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Search Results</title>
    <!-- Include your CSS and JS files here -->
</head>
<body>
    <div class="container">
        <h1>Search Results</h1>
        <ul class="list-group">
            <?php
            if (count($results) > 0) {
                foreach ($results as $row) {
                    echo '<li class="list-group-item">';
                    echo 'Trade Name: ' . htmlspecialchars($row['trade_name']) . ' | ';
                    echo 'Generic Name: ' . htmlspecialchars($row['generic_name']) . ' | ';
                    echo 'Cost: ' . htmlspecialchars($row['cost_price']) . ' | ';
                    echo 'Price: ' . htmlspecialchars($row['sell_price']) . ' | ';
                    echo 'Expires on: ' . htmlspecialchars($row['expiry_date']) . ' | ';
                    echo 'Qty Left: ' . htmlspecialchars($row['quantity']);
                    echo '</li>';
                }
            } else {
                echo '<li class="list-group-item">No results found.</li>';
            }
            ?>
        </ul>
    </div>
</body>
</html>
