<?php
require __DIR__ . '../vendor/autoload.php';

use Twilio\Rest\Client;
use Dotenv\Dotenv;

$dotenv = Dotenv::createImmutable(__DIR__);
$dotenv->load();

// Twilio credentials from .env file
$account_sid = $_ENV['TWILIO_ACCOUNT_SID'];
$auth_token = $_ENV['TWILIO_AUTH_TOKEN'];
$twilio_number = $_ENV['TWILIO_NUMBER'];

// Recipient's phone number for SMS
$sms_phone_number = '+1234567890'; // Replace with the actual recipient's phone number for SMS

// Recipient's WhatsApp number
$whatsapp_number = 'whatsapp:+1234567890'; // Replace with the actual recipient's WhatsApp number

// Message content
$message = 'Hello from your POS system!';

$client = new Client($account_sid, $auth_token);

// Function to send SMS
function sendSms($client, $twilio_number, $sms_phone_number, $message) {
    try {
        $client->messages->create(
            $sms_phone_number,
            [
                'from' => $twilio_number,
                'body' => $message
            ]
        );
        echo 'SMS sent successfully!' . PHP_EOL;
    } catch (Exception $e) {
        echo 'Error sending SMS: ' . $e->getMessage() . PHP_EOL;
    }
}

// Function to send WhatsApp message
function sendWhatsApp($client, $twilio_number, $whatsapp_number, $message) {
    try {
        $client->messages->create(
            $whatsapp_number,
            [
                'from' => 'whatsapp:' . $twilio_number,
                'body' => $message
            ]
        );
        echo 'WhatsApp message sent successfully!' . PHP_EOL;
    } catch (Exception $e) {
        echo 'Error sending WhatsApp message: ' . $e->getMessage() . PHP_EOL;
    }
}

// Send SMS
sendSms($client, $twilio_number, $sms_phone_number, $message);

// Send WhatsApp message
sendWhatsApp($client, $twilio_number, $whatsapp_number, $message);
?>
