<?php
include ('../settings/db/db.php');  // Database connection
?>

<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title><?php include_once ('../settings/inc/title/title.php'); ?> | Dashboard</title>
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  
  <!-- Include all required CSS files -->
  <link rel="stylesheet" href="../settings/setup/plugins/fontawesome-pro/css/all.min.css">
  <link rel="stylesheet" href="../settings/setup/plugins/ionicons-2.0.1/css/ionicons.min.css">
  <link rel="stylesheet" href="../settings/setup/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
  <link rel="stylesheet" href="../settings/setup/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
  <link rel="stylesheet" href="../settings/setup/plugins/jqvmap/jqvmap.min.css">
  <link rel="stylesheet" href="../settings/setup/dist/css/adminlte.min.css">
  <link rel="stylesheet" href="../settings/setup/plugins/overlayScrollbars/css/OverlayScrollbars.min.css">
  <link rel="stylesheet" href="../../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <link rel="stylesheet" href="../settings/setup/bootstrap/css/simplebootstrap.css"> 

</head>
<body class="hold-transition sidebar-mini layout-fixed layout-footer-fixed layout-navbar-fixed sidebar-collapse">
<div class="wrapper">

<?php include_once "../settings/inc/nav.php"; ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Sales Report</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Sales Report</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="card card-outline">
          <div class="card-header with-border" style="background-color: #0d47a1; color: white; padding: 4px;">
            <h3 class="card-title">Type Invoice No to search</h3>
          </div>

          <?php
          // Fetch users from the users table
          $user_sql = "SELECT uid, userid FROM users";
          $user_stmt = $dbo->prepare($user_sql);
          $user_stmt->execute();
          $users = $user_stmt->fetchAll(PDO::FETCH_ASSOC);

          // Check if 'd1' and 'd2' are provided
          $start_date = isset($_GET['d1']) ? $_GET['d1'] : '';
          $end_date = isset($_GET['d2']) ? $_GET['d2'] : '';
          $user_id = isset($_GET['userid']) ? $_GET['userid'] : ''; // Get the selected user ID

          // Prepare SQL query for fetching the sales report between the selected dates and user
          $sql = "SELECT c.trade_name, c.generic_name, s.dateT, s.time, s.profit, s.transaction_id, s.invoiceNo, 
                         s.amount, s.cost_price, s.qty_sold, s.entrant
                  FROM medicine_list AS c 
                  INNER JOIN sales_list AS s ON c.sno = s.sno
                  WHERE STR_TO_DATE(s.dateT, '%m/%d/%Y') 
                  BETWEEN :start_date AND :end_date";

          // Check if a user ID is selected
          if (!empty($user_id)) {
              $sql .= " AND s.entrant = :userid"; // Add condition to filter by user
          }

          $sql .= " ORDER BY s.transaction_id DESC";

          $stmt = $dbo->prepare($sql);
          $stmt->bindValue(':start_date', $start_date);
          $stmt->bindValue(':end_date', $end_date);

          // Bind user ID if specified
          if (!empty($user_id)) {
              $stmt->bindValue(':userid', $user_id);
          }

          $stmt->execute();
          $result = $stmt->fetchAll(PDO::FETCH_ASSOC);
          ?>

          <!-- HTML Form to select date range for the sales report -->
          <form action="today_sales_report.php" method="get">
              <center>
                  <strong>
                      <p>
                          From: <input type="date" id="from" name="d1" value="<?php echo $start_date; ?>" required />
                          To: <input type="date" id="to" name="d2" value="<?php echo $end_date; ?>" required />
                          User: 
                          <select name="userid" id="user_id"> <!-- Ensure the name is 'userid' -->
                              <option value="">All Users</option>
                              <?php foreach ($users as $user): ?>
                                  <option value="<?php echo $user['uid']; ?>" <?php echo ($user['uid'] == $user_id) ? 'selected' : ''; ?>>
                                      <?php echo $user['userid']; ?>
                                  </option>
                              <?php endforeach; ?>
                          </select>
                      </p>
                      <button type="submit" class="btn btn-success">Search</button>
                  </strong>
              </center>
          </form>

          <div class="content" id="content">
              <div style="font-weight:bold; text-align:center;font-size:14px;margin-bottom: 15px;">
                  Sales Report from&nbsp;<?php echo $start_date; ?>&nbsp;to&nbsp;<?php echo $end_date; ?>
              </div>

              <table class="table table-bordered table-striped" id="table_example">
                  <thead>
                      <tr>
                          <th>Transaction Date and Time</th>
                          <th>Dispenser</th>
                          <th>Invoice No.</th>
                          <th>Trade Name</th>
                          <th>Generic Name</th>
                          <th>Qty</th>
                          <th>Amount</th>
                          <th>Profit</th>
                      </tr>
                  </thead>
                  <tbody>
                  <?php
                  // Ensure variables are initialized as numeric values
                  $total_sales = 0.0;
                  $total_profit = 0.0;

                  // Check if any results were returned
                  if (!empty($result)) {
                      foreach ($result as $row) {
                          // Convert amount and profit to floats
                          $amount = (float) $row['amount'];
                          $profit = (float) $row['profit'];
                          
                          // Add them to the total
                          $total_sales += $amount;
                          $total_profit += $profit;
                          
                          // Display the row
                          ?>
                          <tr class="record">
                              <td><?php echo $row['dateT']; ?>, <?php echo $row['time']; ?></td>
                              <td><?php echo $row['entrant']; ?></td>
                              <td><?php echo $row['invoiceNo']; ?></td>
                              <td><?php echo $row['trade_name']; ?></td>
                              <td><?php echo $row['generic_name']; ?></td>
                              <td><?php echo $row['qty_sold']; ?></td>
                              <td><?php echo number_format($amount, 2); ?></td>
                              <td><?php echo number_format($profit, 2); ?></td>
                          </tr>
                          <?php
                      }
                  } else {
                      echo '<tr><td colspan="8" style="text-align:center;">No records found</td></tr>';
                  }
                  ?>
                  </tbody>
                  <thead>
                      <tr>
                          <th colspan="6">Total:</th>
                          <th><?php echo number_format($total_sales, 2); ?></th>
                          <th><?php echo number_format($total_profit, 2); ?></th>
                      </tr>
                  </thead>
              </table>
          </div>
          <a href="generate_sales_report.php?d1=<?php echo $start_date; ?>&d2=<?php echo $end_date; ?>">
              <button type="button" class="btn btn-primary pull-right" style="margin-right: 5px;">
                  <i class="fa fa-download"></i> Excel Report
              </button>
          </a>
          <a href="generate_salespdf_report.php?d1=<?php echo $start_date; ?>&d2=<?php echo $end_date; ?>">
              <button type="button" class="btn btn-primary pull-right" style="margin-right: 5px;">
                  <i class="fa fa-download"></i> Pdf Report
              </button>
          </a>
        </div> <!-- /.card -->
      </div> <!-- /.container-fluid -->
    </section> <!-- /.content -->
  </div> <!-- /.content-wrapper -->

  <?php include_once "../
