<?php
include ('../settings/db/db.php');// database connection details stored here


// Get the search query
$query = isset($_GET['query']) ? $_GET['query'] : '';

// Prepare the SQL statement to prevent SQL injection
$sql = "SELECT c.trade_name, c.generic_name 
        FROM `medicine_list` AS c 
        INNER JOIN `inventory` AS i ON c.sno = i.sno 
        WHERE (c.trade_name LIKE :query OR c.generic_name LIKE :query) 
        AND i.quantity >= 0
        LIMIT 10";

$stmt = $dbo->prepare($sql);
$stmt->bindValue(':query', '%' . $query . '%', PDO::PARAM_STR);
$stmt->execute();

// Fetch the results
$results = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Format results for jQuery UI Autocomplete
$suggestions = [];
foreach ($results as $row) {
    $suggestions[] = [
        'label' => $row['trade_name'] . ' (' . $row['generic_name'] . ')',
        'value' => $row['trade_name']
    ];
}

// Return the JSON encoded results
echo json_encode($suggestions);
?>
