<?php
include ('../settings/db/db.php');  // Database connection
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title><?php include_once ('../settings/inc/title/title.php'); ?> | Dashboard</title>
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../settings/setup/plugins/fontawesome-pro/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="../settings/setup/plugins/ionicons-2.0.1/css/ionicons.min.css">
  <!-- Tempusdominus Bootstrap 4 -->
  <link rel="stylesheet" href="../settings/setup/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
  <!-- iCheck -->
  <link rel="stylesheet" href="../settings/setup/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
  <!-- JQVMap -->
  <link rel="stylesheet" href="../settings/setup/plugins/jqvmap/jqvmap.min.css">
  <!-- Select2 -->
  <link rel="stylesheet" href="../settings/setup/plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="../settings/setup/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <!-- Bootstrap4 Duallistbox -->
  <link rel="stylesheet" href="../settings/setup/plugins/bootstrap4-duallistbox/bootstrap-duallistbox.min.css">
  <!-- BS Stepper -->
  <link rel="stylesheet" href="../settings/setup/plugins/bs-stepper/css/bs-stepper.min.css">
  <!-- dropzonejs -->
  <link rel="stylesheet" href="../settings/setup/plugins/dropzone/min/dropzone.min.css">
  <!-- overlayScrollbars -->
  <link rel="stylesheet" href="../settings/setup/plugins/overlayScrollbars/css/OverlayScrollbars.min.css">
  <!-- Daterange picker -->
  <link rel="stylesheet" href="../settings/setup/plugins/daterangepicker/daterangepicker.css">
  <link rel="stylesheet" href="../settings/setup/css/jquery-ui.min.css">
  <!-- AdminLTE -->
  <link rel="stylesheet" href="../settings/setup/dist/css/adminlte.min.css">
  <link rel="stylesheet" href="../settings/setup/bootstrap/css/simplebootstrap.css">
  <script src="js/jquery.js" type="text/javascript"></script>
  <script src="js/bootstrap.js" type="text/javascript"></script>
  <script type="text/javascript" charset="utf-8" language="javascript" src="js/jquery.dataTables.js"></script>
  <script type="text/javascript" charset="utf-8" language="javascript" src="js/DT_bootstrap.js"></script>
</head>

<body class="hold-transition sidebar-mini layout-fixed layout-footer-fixed layout-navbar-fixed sidebar-collapse">
<div class="wrapper">

<?php include_once "../settings/inc/nav.php"; ?>

  <div class="content-wrapper">
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Stock Card</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Stock Card</li>
            </ol>
          </div>
        </div>
      </div>
    </section>

    <section class="content">
      <div class="container-fluid">
        <div class="card-header with-border" style="background-color: #0d47a1; color: white; padding: 4px;">
          <h3 class="card-title">Stock Card</h3>
        </div>
        <?php
        try {
            $user_stmt = $dbo->query("SELECT uid, userid FROM users");
            $users = $user_stmt->fetchAll(PDO::FETCH_ASSOC);
        } catch (PDOException $e) {
            echo "Error fetching users: " . $e->getMessage();
        }

        try {
            $cus_stmt = $dbo->query("SELECT id, name FROM customer");
            $customers = $cus_stmt->fetchAll(PDO::FETCH_ASSOC);
        } catch (PDOException $e) {
            echo "Error fetching customers: " . $e->getMessage();
        }

        try {
            $t_stmt = $dbo->query("SELECT c.trade_name, i.sno 
                                   FROM `medicine_list` AS c 
                                   INNER JOIN `inventory` AS i 
                                   ON c.sno = i.sno 
                                   ORDER BY i.sno DESC");
            $products = $t_stmt->fetchAll(PDO::FETCH_ASSOC);
        } catch (PDOException $e) {
            echo "Error fetching products: " . $e->getMessage();
        }

        $start_date = $_GET['d1'] ?? '';
        $end_date = $_GET['d2'] ?? '';
        $user_id = $_GET['userid'] ?? '';
        $cus_name = $_GET['name'] ?? '';
        $t_name = $_GET['trade_name'] ?? '';

        $sql = "SELECT c.trade_name, sum(s.qty_in) as qtyin,sum(s.qty_out) as qtyout,c.sno,s.balance, s.entrant, s.from_to, c.generic_name, s.date, 
                        s.invoiceNo, s.qty_out, s.qty_in
                FROM medicine_list AS c
                INNER JOIN stock_cards AS s ON c.sno = s.sno
                WHERE STR_TO_DATE(s.date, '%m/%d/%Y') BETWEEN :start_date AND :end_date";

        if (!empty($user_id)) {
            $sql .= " AND s.entrant = :userid";
        }
        if (!empty($cus_name)) {
            $sql .= " AND s.customer = :name";
        }
        if (!empty($t_name)) {
            $sql .= " AND c.trade_name = :trade_name";
        }

        $sql .= " ORDER BY s.id DESC";

        try {
            $stmt = $dbo->prepare($sql);
            $stmt->bindValue(':start_date', $start_date);
            $stmt->bindValue(':end_date', $end_date);

            if (!empty($user_id)) {
                $stmt->bindValue(':userid', $user_id);
            }
            if (!empty($cus_name)) {
                $stmt->bindValue(':name', $cus_name);
            }
            if (!empty($t_name)) {
                $stmt->bindValue(':trade_name', $t_name);
            }

            $stmt->execute();
            $result = $stmt->fetchAll(PDO::FETCH_ASSOC);
        } catch (PDOException $e) {
            echo "Error fetching sales report: " . $e->getMessage();
        }
        ?>

        <form action="bin_card.php" method="get">
          <div class="row">
            <div class="col-sm-4">
              <div class="row">
                <div class="col">
                  From: <input class="form-control" type="date" name="d1" value="<?php echo htmlspecialchars($start_date); ?>" required />
                </div>
                <div class="col"> 
                  To: <input class="form-control" type="date" name="d2" value="<?php echo htmlspecialchars($end_date); ?>" required />
                </div>
              </div>
            </div>
            <div class="col-sm-3">
              Brand Name: 
              <select class="form-control select2" name="trade_name">
                <option value="">All Products</option>
                <?php foreach ($products as $product): ?>
                  <option value="<?php echo htmlspecialchars($product['trade_name']); ?>" <?php echo ($product['trade_name'] == $t_name) ? 'selected' : ''; ?>>
                    <?php echo htmlspecialchars($product['trade_name']); ?>
                  </option>
                <?php endforeach; ?>
              </select>
            </div>
            <div class="col-sm-1">
              <br>
              <button type="submit" class="btn btn-success">Filter</button>
            </div>
            <div class="col-sm-3">
              <div class="row">
                <div class="col">
                  <br>
                  <a href="generate_sales_report.php?d1=<?php echo htmlspecialchars($start_date); ?>&d2=<?php echo htmlspecialchars($end_date); ?>">
                    <button type="button" class="btn btn-primary pull-right" style="margin-right: 5px;">
                      <i class="fa fa-download"></i> Excel Stock Card
                    </button>
                  </a>
                  <a href="generate_salespdf_report.php?d1=<?php echo htmlspecialchars($start_date); ?>&d2=<?php echo htmlspecialchars($end_date); ?>">
                    <button type="button" class="btn btn-primary pull-right" style="margin-right: 5px;">
                      <i class="fa fa-download"></i> PDF Stock Card
                    </button>
                  </a>
                </div>
              </div>
            </div>
          </div>
        </form>

        <div class="content" id="content">
          <div style="font-weight:bold; text-align:center; font-size:14px; margin-bottom: 15px;">
           Stock card from <?php echo htmlspecialchars($start_date); ?> to <?php echo htmlspecialchars($end_date); ?>
          </div>

          <div class="table-responsive">
    <table class="table table-striped table-bordered table-hover table-checkable order-column dataTable" id="example1">
    <thead>
            <tr>
                <th colspan="1" style="border-top:1px solid #999999"></th>
                <th colspan="1" style="border-top:1px solid #999999">
                    <strong>
                        Item Code:
                        <?php if (!empty($result)): ?>
                          MTE0<?php echo htmlspecialchars($result[0]['sno']); ?>
                        <?php else: ?>
                            
                        <?php endif; ?>
                    </strong>
                </th>
                <th colspan="1" style="border-top:1px solid #999999"><
                strong>Total Stock In: <?php if (!empty($result)): ?>
                            <?php echo htmlspecialchars($result[0]['qtyin']); ?>
                        <?php else: ?>
                            
                        <?php endif; ?></strong></th>
                <th colspan="1" style="border-top:1px solid #999999">
                    <strong>
                        Total Stock Out: 
                        <?php if (!empty($result)): ?>
                            <?php echo htmlspecialchars($result[0]['qtyout']); ?>
                        <?php else: ?>
                            
                        <?php endif; ?>
                    </strong>
                </th>
                <th colspan="1" style="border-top:1px solid #999999">
                    <strong>
                        Opening Stock: 
                        <?php if (!empty($result)): ?>
                            <?php echo htmlspecialchars($result[0]['']); ?>
                        <?php else: ?>
                            
                        <?php endif; ?>
                    </strong>
                </th>
                <th colspan="1" style="border-top:1px solid #999999">
                    <strong>
                        Closing Stock: 
                        <?php if (!empty($result)): ?>
                            <?php echo htmlspecialchars($result[0]['qty_sold']); ?>
                        <?php else: ?>
                            
                        <?php endif; ?>
                    </strong>
                </th>
                <th colspan="1" style="border-top:1px solid #999999"></th>
            </tr>
            <tr>
                <th>Date</th>
                <th>From/To</th>
                <th>Invoice/Receipt No.</th>
                <th>Qty In</th>
                <th>Qty Out</th>
                <th>Balance</th>
                <th>Expiry Date</th>
                <th>Batch No.</th>
                <th>Entrant</th>
            </tr>
        </thead>
        <tbody>
            <?php if (!empty($result)): ?>
                <?php foreach ($result as $row): ?>
                    <tr class="gradeX">
                        <td><?php echo htmlspecialchars($row['date']); ?></td>
                        <td><?php echo htmlspecialchars($row['from_to']); ?></td>
                        <td><?php echo htmlspecialchars($row['invoiceNo']); ?></td>
                        <td><?php echo htmlspecialchars($row['qty_in']); ?></td>
                        <td><?php echo htmlspecialchars($row['qty_out']); ?></td>
                        <td><?php echo htmlspecialchars($row['balance']); ?></td>
                        <td><?php echo htmlspecialchars($row['date']); ?></td>
                        <td><?php echo htmlspecialchars($row['sno']); ?></td>
                        <td><?php echo htmlspecialchars($row['entrant']); ?></td>
                    </tr>
                <?php endforeach; ?>
            <?php else: ?>
                <tr>
                    <td colspan="8" style="text-align:center;">No data available</td>
                </tr>
            <?php endif; ?>
        </tbody>
    </table>
</div>

        </div>

      </div>
    </section>
  </div>
</div>
<script>
  $(function () {
    // Initialize Select2 Elements
    $('.select2').select2();

    // Initialize Select2 Elements with Bootstrap 4 theme
    $('.select2bs4').select2({
      theme: 'bootstrap4'
    });

    // DropzoneJS Demo Code End
  });
</script>

            <?php include("../settings/inc/title/footer.php"); ?>
            <!-- jQuery -->
            <script src="../settings/setup/plugins/jquery/jquery.min.js"></script>
            <!-- Bootstrap 4 -->
            <script src="../settings/setup/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
            <!-- AdminLTE App -->
            <script src="../settings/setup/dist/js/adminlte.min.js"></script>
            <!-- DataTables -->
  
            <script src="../settfings/setup/js/jquery-1.10.2.min.js"></script>
        <script src="../settvings/setup/js/jquery-ui-1.10.3.custom.min.js"></script>
        
<script src="../settings/setup/plugins/select2/js/select2.full.min.js"></script>
</body>
</html>
