<?php
// Include database connection
include "../settings/db/db.php"; // Make sure the path is correct

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Get the journal number and did from POST request
    $journal_no = $_POST['journal_no'] ?? '';
    $did = $_POST['did'] ?? '';

    // Check if both journal number and did are provided
    if (!empty($journal_no) && !empty($did)) {
        // Prepare the SQL statement for deletion
        $sql = "DELETE FROM debit_journal WHERE journal_no = ? AND id = ?";

        // Initialize prepared statement
        if ($stmt = $con->prepare($sql)) {
            // Bind parameters
            $stmt->bind_param("si", $journal_no, $did);

            // Execute the statement
            if ($stmt->execute()) {
                echo "Success";
            } else {
                echo "Error executing statement: " . $stmt->error;
            }

            // Close the statement
            $stmt->close();
        } else {
            echo "Error preparing statement: " . $con->error;
        }

        // Close the connection
        $con->close();
    } else {
        echo "Invalid journal number or did.";
    }
} else {
    echo "Invalid request.";
}
?>
