<?php
include ('../settings/db/db.php'); // Database connection details stored here
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title><?php include_once ('../settings/inc/title/title.php'); ?>| Dashboard</title>
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="../settings/setup/plugins/fontawesome-pro/css/all.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="../settings/setup/plugins/ionicons-2.0.1/css/ionicons.min.css">
    <!-- Tempusdominus Bootstrap 4 -->
    <link rel="stylesheet" href="../settings/setup/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
    <!-- iCheck -->
    <link rel="stylesheet" href="../settings/setup/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <!-- JQVMap -->
    <link rel="stylesheet" href="../settings/setup/plugins/jqvmap/jqvmap.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="../settings/setup/dist/css/adminlte.min.css">
    <!-- overlayScrollbars -->
    <link rel="stylesheet" href="../settings/setup/plugins/overlayScrollbars/css/OverlayScrollbars.min.css">
    <!-- DataTables -->
    <link rel="stylesheet" href="../../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="../../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
    <link rel="stylesheet" href="../../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="../settings/setup/bootstrap/css/simplebootstrap.css">
</head>
<body class="hold-transition sidebar-mini layout-fixed layout-footer-fixed layout-navbar-fixed sidebar-collapse">
<div class="wrapper">

    <?php
    include_once "../settings/inc/nav.php"; // Navigation bar
    ?>
    <!-- Content Wrapper -->
    <div class="content-wrapper" style="background-color: #2F4F4F; color: white; ">
    <!-- Content Header -->
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0">
                        Dashboard
                        <small>Control panel</small>
                    </h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="#">Home</a></li>
                        <li class="breadcrumb-item active">Dashboard</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <!-- Ledger Table -->
            <div class="card card-outline">
                <div class="card-header" style="background-color: #0d47a1; color: white; padding: 4px;">
                    <h3 class="card-title">Type account name to search</h3>
                </div>
                <div class="card-body" style="background-color: #c1ab86; color: black; padding: 4px;">
<div class="container mt-5">
    <h1>Generate Financial Statement</h1>
    <form id="reportForm" method="POST">
        <div class="row">
        <div class="col-sm-3">
        <div class="form-group">
            <label for="reportType">Select Report Type</label>
            <select id="reportType" name="report_type" class="form-control" required>
                <option value="">Select a report type</option>
                <option value="income_statement">Income Statement</option>
                <option value="balance_sheet">Balance Sheet</option>
                <option value="cash_flow_statement">Cash Flow Statement</option>
                <option value="trial_balance">Trial Balance</option>
            </select>
        </div>
        </div>
        <div class="col-sm-3">
        <div class="form-group">
            <label for="accountSelect">Select Account</label>
            <select id="accountSelect" name="account_id" class="form-control" required>
                <option value="">Select an account</option>
                <?php
                // Fetch accounts from the database
                $accounts_query = "SELECT * FROM accounts_tbl ORDER BY acc_name";
                $accounts_result = $con->query($accounts_query);
                while ($account = $accounts_result->fetch_assoc()) {
                    echo "<option value='{$account['acc_id']}'>{$account['acc_name']}</option>";
                }
                ?>
            </select>
        </div>
        </div>
        <div class="col-sm-2">
        <div class="form-group">
            <label for="startDate">Start Date</label>
            <input type="date" id="startDate" name="start_date" class="form-control" required>
        </div>
        </div>
        <div class="col-sm-2">
        <div class="form-group">
            <label for="endDate">End Date</label>
            <input type="date" id="endDate" name="end_date" class="form-control" required>
        </div>
        </div>
        <div class="col-sm-2"></br>
        <button type="submit" class="btn btn-primary">Generate Report</button>
        </div>
        </div>
    </form>
</div>
<?php
include ('../settings/db/db.php'); 
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $report_type = $_POST['report_type']; // Get selected report type
    $account_id = $_POST['account_id']; // Get selected account ID
    $start_date = $_POST['start_date'];
    $end_date = $_POST['end_date'];

   // Convert mm/dd/yyyy to yyyy-mm-dd for the SQL query
   $start_date = date('m/d/Y', strtotime($start_date));
   $end_date = date('m/d/Y', strtotime($end_date));

   
    // SQL query to fetch journal entries based on the selected date range and account ID
    $sql = "SELECT 
                j.journal_date, 
                j.journal_no, 
                j.journal_memo,
                acc.acc_name,
                acc.acc_type,
                acc.acc_id, 
                acc.cat_name,
                COALESCE(SUM(CASE WHEN d.debit_acc_id = acc.acc_id THEN d.debit_amount END), 0) AS total_debit_amount, 
                COALESCE(SUM(CASE WHEN c.credit_acc_id = acc.acc_id THEN c.credit_amount END), 0) AS total_credit_amount
            FROM 
                journal j
            LEFT JOIN 
                debit_journal d ON j.journal_no = d.journal_no
            LEFT JOIN 
                credit_journal c ON j.journal_no = c.journal_no
            LEFT JOIN 
                accounts_tbl acc ON acc.acc_id IN (d.debit_acc_id, c.credit_acc_id)
            WHERE 
                j.journal_date BETWEEN '$start_date' AND '$end_date'
                AND acc.acc_id = '$account_id' -- Filter by selected account
            GROUP BY 
                acc.cat_name, acc.acc_name, acc.acc_type, acc.acc_id, j.journal_date, j.journal_no, j.journal_memo
            ORDER BY 
                acc.cat_name, j.journal_date, j.journal_no, acc.acc_name";

    // Execute the query
    $result = $con->query($sql);

    if ($result->num_rows > 0) {
        echo "<h2>" . ucfirst(str_replace('_', ' ', $report_type)) . "</h2>";
        echo "<table class='table table-bordered'>
                <thead>
                    <tr>
                        <th>Journal Date</th>
                        <th>Journal No</th>
                        <th>Journal Memo</th>
                        <th>Account Name</th>
                        <th>Account Type</th>
                        <th>Category Name</th>
                        <th>Total Debit Amount</th>
                        <th>Total Credit Amount</th>
                    </tr>
                </thead>
                <tbody>";

        while ($row = $result->fetch_assoc()) {
            echo "<tr>
                    <td>{$row['journal_date']}</td>
                    <td>{$row['journal_no']}</td>
                    <td>{$row['journal_memo']}</td>
                    <td>{$row['acc_name']}</td>
                    <td>{$row['acc_type']}</td>
                    <td>{$row['cat_name']}</td>
                    <td>{$row['total_debit_amount']}</td>
                    <td>{$row['total_credit_amount']}</td>
                  </tr>";
        }

        echo "</tbody></table>";
    } else {
        echo "No records found for the selected criteria.";
    }
}
?>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>
</html>
