<?php
include('../settings/db/db.php'); // Include your database connection

// Retrieve form data
$start_date = $_POST['start_date'];
$end_date = $_POST['end_date'];
$account_type = $_POST['account_type'];

// SQL Query based on user input
$sql = "SELECT acc.acc_name, acc.acc_type, j.journal_date, 
               COALESCE(SUM(d.debit_amount), 0) AS total_debit,
               COALESCE(SUM(c.credit_amount), 0) AS total_credit
        FROM accounts_tbl acc
        LEFT JOIN debit_journal d ON acc.acc_id = d.debit_acc_id
        LEFT JOIN credit_journal c ON acc.acc_id = c.credit_acc_id
        LEFT JOIN journal j ON d.journal_no = j.journal_no OR c.journal_no = j.journal_no
        WHERE j.journal_date BETWEEN '$start_date' AND '$end_date'";

if ($account_type !== 'all') {
    $sql .= " AND acc.acc_type = '$account_type'";
}

$sql .= " GROUP BY acc.acc_name, acc.acc_type, j.journal_date ORDER BY j.journal_date";

// Execute the query
$result = $con->query($sql);
if (!$result) {
    die("Database query failed: " . $con->error);
}

// Prepare report data
$report_data = [];
while ($row = $result->fetch_assoc()) {
    $report_data[] = $row;
}

// Close the database connection
$con->close();
?>

<!-- Display Report -->
<div class="table-responsive">
    <h3>Custom Report</h3>
    <table class="table table-bordered">
        <thead>
            <tr>
                <th>Account Name</th>
                <th>Account Type</th>
                <th>Date</th>
                <th>Total Debit</th>
                <th>Total Credit</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($report_data as $data): ?>
                <tr>
                    <td><?php echo $data['acc_name']; ?></td>
                    <td><?php echo $data['acc_type']; ?></td>
                    <td><?php echo $data['journal_date']; ?></td>
                    <td class="text-right"><?php echo number_format($data['total_debit'], 2); ?></td>
                    <td class="text-right"><?php echo number_format($data['total_credit'], 2); ?></td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>
