<?php
// Include database connection
include "../settings/db/db.php"; // Adjust the path to your database connection details

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $journal_no = $_POST['journal_no'];
    $journal_date = $_POST['journal_date'];
    $journal_memo = $_POST['journal_memo'];

    if (empty($journal_no) || empty($journal_date) || empty($journal_memo)) {
        echo "Missing required fields";
        exit;
    }

    $stmt = $con->prepare("INSERT INTO journal (journal_no, journal_date, journal_memo) VALUES (?, ?, ?)");
    $stmt->bind_param("sss", $journal_no, $journal_date, $journal_memo);

    if ($stmt->execute()) {
        $stmt->close();
        $con->close();
        header("Location: journal_list.php");
        exit;
    } else {
        echo "Failed to insert journal entry";
        $stmt->close();
        $con->close();
        exit;
    }
}
?>
