<?php
include ('../settings/db/db.php'); 
if (isset($_POST['register'])) {
    // Include your database connection file here or use the existing connection
    // include('db_connection.php');
    
    // Ensure that the connection is established
    if (!$con) {
        die("Connection failed: " . mysqli_connect_error());
    }

    // Fetch the maximum ACno from the customer table
    $sql = "SELECT MAX(ACno) as qty FROM customer";
    $result = mysqli_query($con, $sql);

    // Calculate the new ACno
    if ($result) {
        $row = mysqli_fetch_assoc($result);
        $ACn = 1 + $row['qty'];
    } else {
        // In case of an error, handle it
        die("Error fetching max ACno: " . mysqli_error($con));
    }

    // Get the form data
    $ACno = $ACn;
    $surname = $_POST['surname'];
    $name = $_POST['name'];
    $address = $_POST['address'];
    $address2 = $_POST['address2'];
    $phone = $_POST['phone'];
    $loyal = $_POST['loyal_type'];
    $notes = $_POST['notes'];

    // Use prepared statements to insert data securely
    $stmt = $con->prepare("INSERT INTO customer (surname, name, ACno, address, address2, phone, loyal_type, notes) VALUES (?, ?, ?, ?, ?, ?, ?, ?)");
    $stmt->bind_param("ssisssss", $surname, $name, $ACno, $address, $address2, $phone, $loyal, $notes);

    if ($stmt->execute()) {
        // Redirect to reg_customer.php after successful insertion
        header("Location: reg-customer.php");
        exit();
    } else {
        // Handle insertion error
        die("Error inserting data: " . $stmt->error);
    }

    // Close the statement and the connection
    $stmt->close();
    mysqli_close($con);
}
?>
