<?php
require '../vendor/autoload.php'; // Make sure to adjust the path as per your project structure

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

// Create a new Spreadsheet object
$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

// Add data to the sheet
$sheet->setCellValue('A1', 'ID');
$sheet->setCellValue('B1', 'Name');
$sheet->setCellValue('C1', 'Email');

// Sample data array
$data = [
    ['1', 'John Doe', 'john@example.com'],
    ['2', 'Jane Smith', 'jane@example.com'],
    ['3', 'Sam Johnson', 'sam@example.com'],
];

// Populate data rows
$row = 2; // Starting from row 2 as row 1 is for headers
foreach ($data as $record) {
    $sheet->setCellValue('A' . $row, $record[0]);
    $sheet->setCellValue('B' . $row, $record[1]);
    $sheet->setCellValue('C' . $row, $record[2]);
    $row++;
}

// Create an Excel writer and save the file
$writer = new Xlsx($spreadsheet);
$fileName = 'sample_data.xlsx';

// Save file to the server
$writer->save($fileName);

// To download the file:
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment; filename="' . $fileName . '"');
$writer->save('php://output');
exit;
