<?php
include ('../settings/db/db.php');  // Database connection
?>

<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title><?php include_once ('../settings/inc/title/title.php'); ?>| Dashboard</title>
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../settings/setup/plugins/fontawesome-pro/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="../settings/setup/plugins/ionicons-2.0.1/css/ionicons.min.css">
  <!-- Tempusdominus Bootstrap 4 -->
  <link rel="stylesheet" href="../settings/setup/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
  <!-- iCheck -->
  <link rel="stylesheet" href="../settings/setup/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
  <!-- JQVMap -->
  <link rel="stylesheet" href="../settings/setup/plugins/jqvmap/jqvmap.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../settings/setup/dist/css/adminlte.min.css">
  <!-- overlayScrollbars -->
  <link rel="stylesheet" href="../settings/setup/plugins/overlayScrollbars/css/OverlayScrollbars.min.css">
  <!-- Daterange picker -->
  <link rel="stylesheet" href="../../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  
  <link rel="stylesheet" href="../settings/setup/bootstrap/css/simplebootstrap.css"> 

</head>
<body class="hold-transition sidebar-mini layout-fixed layout-footer-fixed layout-navbar-fixed sidebar-collapse">
<div class="wrapper">

<?php include_once "../settings/inc/nav.php"; ?>


  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Simple Tables</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Simple Tables</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
      <div class="card card-outline">
          <div class="card-header with-border" style="background-color: #0d47a1; color: white; padding: 4px;">
              
              <h3 class="card-title">Type Invoice No to search</h3>
            </div>
            <!-- /.box-header -->
            <!-- form start -->
<?php
$selectedDate = isset($_POST['selected_date']) ? date('m/d/Y', strtotime($_POST['selected_date'])) : date('m/d/Y');

?>

<!-- HTML Form to select a date -->
<form method="POST" action="">
    <label for="selected_date">Select a date for the report:</label>
    <input type="date" id="selected_date" name="selected_date" value="<?php echo $selectedDate; ?>">
    <button type="submit">Generate Report</button>
</form>

<?php
// Query to get sales data for the selected date
$sql = "SELECT transaction_id, invoiceNo, trade_name, qty_sold, amount, sno, sell_price, cost_price, profit, dateT, time, customer, phone, entrant, datetime 
        FROM sales_list
        WHERE dateT = '$selectedDate'";

$result = $con->query($sql);

if ($result->num_rows > 0) {
    echo "<h2>Sales Report for " . date('m/d/Y', strtotime($selectedDate)) . "</h2>";
    echo "<table border='1'>";
    echo "<tr>
            <th>Transaction ID</th>
            <th>Invoice No</th>
            <th>Trade Name</th>
            <th>Quantity Sold</th>
            <th>Amount</th>
            <th>Selling Price</th>
            <th>Cost Price</th>
            <th>Profit</th>
            <th>Date</th>
            <th>Time</th>
            <th>Customer</th>
            <th>Phone</th>
            <th>Entrant</th>
            <th>Datetime</th>
        </tr>";

    $totalSales = 0;
    $totalProfit = 0;

    // Loop through the results and display each row
    while ($row = $result->fetch_assoc()) {
        $amount = floatval($row['amount']);
        $profit = floatval($row['profit']);

        echo "<tr>";
        echo "<td>" . $row['transaction_id'] . "</td>";
        echo "<td>" . $row['invoiceNo'] . "</td>";
        echo "<td>" . $row['trade_name'] . "</td>";
        echo "<td>" . $row['qty_sold'] . "</td>";
        echo "<td>" . number_format($amount, 2) . "</td>";
        echo "<td>" . number_format(floatval($row['sell_price']), 2) . "</td>";
        echo "<td>" . number_format(floatval($row['cost_price']), 2) . "</td>";
        echo "<td>" . number_format($profit, 2) . "</td>";
        echo "<td>" . $row['dateT'] . "</td>";
        echo "<td>" . $row['time'] . "</td>";
        echo "<td>" . $row['customer'] . "</td>";
        echo "<td>" . $row['phone'] . "</td>";
        echo "<td>" . $row['entrant'] . "</td>";
        echo "<td>" . $row['datetime'] . "</td>";
        echo "</tr>";

        // Aggregate totals
        $totalSales += $amount;
        $totalProfit += $profit;
    }

    // Display totals
    echo "<tr>
            <td colspan='4'><strong>Total Sales</strong></td>
            <td><strong>" . number_format($totalSales, 2) . "</strong></td>
            <td colspan='3'><strong>Total Profit</strong></td>
            <td colspan='5'><strong>" . number_format($totalProfit, 2) . "</strong></td>
        </tr>";

    echo "</table>";
} else {
    echo "<h2>No sales data found for " . date('m/d/Y', strtotime($selectedDate)) . ".</h2>";
}

$con->close();
?>