<?php
include "../settings/db/db.php";

// Check if date range is set
$date_from = isset($_POST['date_from']) ? $_POST['date_from'] : date('Y-m-d', strtotime('-30 days'));
$date_to = isset($_POST['date_to']) ? $_POST['date_to'] : date('Y-m-d');

// Debugging output
echo "Date From: $date_from <br>";
echo "Date To: $date_to <br>";

// Fetch trial balance data
$query = "
    SELECT 
        ad.acc_name,
        SUM(d.debit_amount) AS total_debit,
        SUM(c.credit_amount) AS total_credit
    FROM 
        accounts_tbl ad
    LEFT JOIN 
        debit_journal d ON ad.acc_id = d.debit_acc_id AND d.journal_date BETWEEN '$date_from' AND '$date_to'
    LEFT JOIN 
        credit_journal c ON ad.acc_id = c.credit_acc_id AND c.journal_date BETWEEN '$date_from' AND '$date_to'
    GROUP BY 
        ad.acc_id
    ORDER BY 
        ad.acc_name";


$result = $con->query($query);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Advanced Trial Balance</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
</head>
<body>

<div class="container mt-5">
    <h2>Advanced Trial Balance</h2>

    <form method="post" class="mb-4">
        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="date_from">Date From</label>
                <input type="date" class="form-control" name="date_from" value="<?php echo $date_from; ?>">
            </div>
            <div class="form-group col-md-6">
                <label for="date_to">Date To</label>
                <input type="date" class="form-control" name="date_to" value="<?php echo $date_to; ?>">
            </div>
        </div>
        <button type="submit" class="btn btn-primary">Filter</button>
    </form>

    <table class="table table-bordered table-striped text-nowrap">
        <thead style="background-color: #004d40; border-color: #004d40; color: white; line-height: 0;">
            <tr>
                <th style="text-align:center;">Account</th>
                <th style="text-align:center;">Total Debit</th>
                <th style="text-align:center;">Total Credit</th>
                <th style="text-align:center;">Balance</th>
            </tr>
        </thead>
        <tbody>
            <?php
            $grand_total_debit = 0;
            $grand_total_credit = 0;

            if ($result->num_rows > 0) {
                while ($row = $result->fetch_assoc()) {
                    $total_debit = $row['total_debit'] ? $row['total_debit'] : 0;
                    $total_credit = $row['total_credit'] ? $row['total_credit'] : 0;

                    $balance = $total_debit - $total_credit;

                    $grand_total_debit += $total_debit;
                    $grand_total_credit += $total_credit;
                    ?>
                    <tr>
                        <td><?php echo htmlspecialchars($row['acc_name']); ?></td>
                        <td style="text-align:right;"><?php echo number_format($total_debit, 2); ?></td>
                        <td style="text-align:right;"><?php echo number_format($total_credit, 2); ?></td>
                        <td style="text-align:right;"><?php echo number_format($balance, 2); ?></td>
                    </tr>
                <?php
                }
            } else {
                echo "<tr><td colspan='4' style='text-align:center;'>No data found</td></tr>";
            }
            ?>
            <tr>
                <td><strong>Grand Total</strong></td>
                <td style="text-align:right;"><strong><?php echo number_format($grand_total_debit, 2); ?></strong></td>
                <td style="text-align:right;"><strong><?php echo number_format($grand_total_credit, 2); ?></strong></td>
                <td style="text-align:right;"><strong><?php echo number_format($grand_total_debit - $grand_total_credit, 2); ?></strong></td>
            </tr>
        </tbody>
    </table>
</div>

</body>
</html>
<?php
include "../settings/db/db.php";

// Check if date range is set
$date_from = isset($_POST['date_from']) ? $_POST['date_from'] : date('Y-m-d', strtotime('-30 days'));
$date_to = isset($_POST['date_to']) ? $_POST['date_to'] : date('Y-m-d');

// Fetch trial balance data
$query = "
    SELECT 
        ad.acc_name,
        SUM(d.debit_amount) AS total_debit,
        SUM(c.credit_amount) AS total_credit
    FROM 
        accounts_tbl ad
    LEFT JOIN 
        debit_journal d ON ad.acc_id = d.debit_acc_id AND d.journal_date BETWEEN '$date_from' AND '$date_to'
    LEFT JOIN 
        credit_journal c ON ad.acc_id = c.credit_acc_id AND c.journal_date BETWEEN '$date_from' AND '$date_to'
    GROUP BY 
        ad.acc_id
    ORDER BY 
        ad.acc_name";

$result = $con->query($query);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Trial Balance</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
</head>
<body>

<div class="container mt-5">
    <h2>Trial Balance</h2>

    <form method="post" class="mb-4">
        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="date_from">Date From</label>
                <input type="date" class="form-control" name="date_from" value="<?php echo htmlspecialchars($date_from); ?>">
            </div>
            <div class="form-group col-md-6">
                <label for="date_to">Date To</label>
                <input type="date" class="form-control" name="date_to" value="<?php echo htmlspecialchars($date_to); ?>">
            </div>
        </div>
        <button type="submit" class="btn btn-primary">Filter</button>
    </form>

    <table class="table table-bordered table-striped text-nowrap">
        <thead style="background-color: #004d40; border-color: #004d40; color: white; line-height: 0;">
            <tr>
                <th style="text-align:center;">Account</th>
                <th style="text-align:center;">Total Debit</th>
                <th style="text-align:center;">Total Credit</th>
                <th style="text-align:center;">Balance</th>
            </tr>
        </thead>
        <tbody>
            <?php
            $grand_total_debit = 0;
            $grand_total_credit = 0;

            if ($result->num_rows > 0) {
                while ($row = $result->fetch_assoc()) {
                    $total_debit = $row['total_debit'] ? $row['total_debit'] : 0;
                    $total_credit = $row['total_credit'] ? $row['total_credit'] : 0;

                    $balance = $total_debit - $total_credit;

                    $grand_total_debit += $total_debit;
                    $grand_total_credit += $total_credit;
                    ?>
                    <tr>
                        <td><?php echo htmlspecialchars($row['acc_name']); ?></td>
                        <td style="text-align:right;"><?php echo number_format($total_debit, 2); ?></td>
                        <td style="text-align:right;"><?php echo number_format($total_credit, 2); ?></td>
                        <td style="text-align:right;"><?php echo number_format($balance, 2); ?></td>
                    </tr>
                <?php
                }
            } else {
                echo "<tr><td colspan='4' style='text-align:center;'>No data found</td></tr>";
            }
            ?>
            <tr>
                <td><strong>Grand Total</strong></td>
                <td style="text-align:right;"><strong><?php echo number_format($grand_total_debit, 2); ?></strong></td>
                <td style="text-align:right;"><strong><?php echo number_format($grand_total_credit, 2); ?></strong></td>
                <td style="text-align:right;"><strong><?php echo number_format($grand_total_debit - $grand_total_credit, 2); ?></strong></td>
            </tr>
        </tbody>
    </table>
</div>

</body>
</html>
<?php
include "../settings/db/db.php";

// Check if filters are set
$date_from = isset($_POST['date_from']) ? $_POST['date_from'] : date('Y-m-d', strtotime('-30 days'));
$date_to = isset($_POST['date_to']) ? $_POST['date_to'] : date('Y-m-d');
$account_filter = isset($_POST['account_filter']) ? $_POST['account_filter'] : '';

// Fetch accounts for the dropdown filter
$accounts_query = "SELECT acc_id, acc_name FROM accounts_tbl ORDER BY acc_name";
$accounts_result = $con->query($accounts_query);

// Fetch account balances data based on filters
$query = "
    SELECT 
        ad.acc_name,
        COALESCE(SUM(d.debit_amount), 0) AS total_debit,
        COALESCE(SUM(c.credit_amount), 0) AS total_credit,
        (COALESCE(SUM(d.debit_amount), 0) - COALESCE(SUM(c.credit_amount), 0)) AS balance
    FROM 
        accounts_tbl ad
    LEFT JOIN 
        debit_journal d ON ad.acc_id = d.debit_acc_id AND d.journal_date BETWEEN '$date_from' AND '$date_to'
    LEFT JOIN 
        credit_journal c ON ad.acc_id = c.credit_acc_id AND c.journal_date BETWEEN '$date_from' AND '$date_to'
    WHERE 
        ad.acc_id LIKE '%$account_filter%'
    GROUP BY 
        ad.acc_id
    ORDER BY 
        ad.acc_name";

$result = $con->query($query);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Advanced Account Balances</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
</head>
<body>

<div class="container mt-5">
    <h2>Advanced Account Balances</h2>

    <form method="post" class="mb-4">
        <div class="form-row">
            <div class="form-group col-md-4">
                <label for="account_filter">Account</label>
                <select class="form-control" name="account_filter">
                    <option value="">All Accounts</option>
                    <?php while ($row = $accounts_result->fetch_assoc()): ?>
                        <option value="<?php echo $row['acc_id']; ?>" <?php echo ($account_filter == $row['acc_id']) ? 'selected' : ''; ?>>
                            <?php echo htmlspecialchars($row['acc_name']); ?>
                        </option>
                    <?php endwhile; ?>
                </select>
            </div>
            <div class="form-group col-md-4">
                <label for="date_from">Date From</label>
                <input type="date" class="form-control" name="date_from" value="<?php echo htmlspecialchars($date_from); ?>">
            </div>
            <div class="form-group col-md-4">
                <label for="date_to">Date To</label>
                <input type="date" class="form-control" name="date_to" value="<?php echo htmlspecialchars($date_to); ?>">
            </div>
        </div>
        <button type="submit" class="btn btn-primary">Filter</button>
        <a href="export.php?date_from=<?php echo $date_from; ?>&date_to=<?php echo $date_to; ?>&account_filter=<?php echo $account_filter; ?>" class="btn btn-success">Export</a>
    </form>

    <table class="table table-bordered table-striped text-nowrap">
        <thead style="background-color: #004d40; border-color: #004d40; color: white;">
            <tr>
                <th style="text-align:center;">Account</th>
                <th style="text-align:center;">Total Debit</th>
                <th style="text-align:center;">Total Credit</th>
                <th style="text-align:center;">Balance</th>
            </tr>
        </thead>
        <tbody>
            <?php
            $grand_total_debit = 0;
            $grand_total_credit = 0;

            if ($result->num_rows > 0) {
                while ($row = $result->fetch_assoc()) {
                    $total_debit = $row['total_debit'] ? $row['total_debit'] : 0;
                    $total_credit = $row['total_credit'] ? $row['total_credit'] : 0;

                    $balance = $total_debit - $total_credit;

                    $grand_total_debit += $total_debit;
                    $grand_total_credit += $total_credit;
                    ?>
                    <tr>
                        <td><?php echo htmlspecialchars($row['acc_name']); ?></td>
                        <td style="text-align:right;"><?php echo number_format($total_debit, 2); ?></td>
                        <td style="text-align:right;"><?php echo number_format($total_credit, 2); ?></td>
                        <td style="text-align:right;"><?php echo number_format($balance, 2); ?></td>
                    </tr>
                <?php
                }
            } else {
                echo "<tr><td colspan='4' style='text-align:center;'>No data found</td></tr>";
            }
            ?>
            <tr>
                <td><strong>Grand Total</strong></td>
                <td style="text-align:right;"><strong><?php echo number_format($grand_total_debit, 2); ?></strong></td>
                <td style="text-align:right;"><strong><?php echo number_format($grand_total_credit, 2); ?></strong></td>
                <td style="text-align:right;"><strong><?php echo number_format($grand_total_debit - $grand_total_credit, 2); ?></strong></td>
            </tr>
        </tbody>
    </table>
</div>

</body>
</html>
