<?php
include('../settings/db/db.php'); // Database connection details stored here

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  $id = $_POST['memi'];
  $firstname = $_POST['firstname'];
  $surname = $_POST['surname'];
  $userid = $_POST['userid'];
  $mail = $_POST['mail'];
  $role = $_POST['role'];
  $status = $_POST['status'];
  $original_role = $_POST['original_role']; // Get the original role

  // Prepare the base update query
  $sql = "UPDATE users SET firstname = :firstname, surname = :surname, userid = :userid, mail = :mail, role = :role";

  // Check if the original role is not 'Admin' or 'Manager' before allowing status update
  if ($original_role != 'Admin' && $original_role != 'Manager') {
    $sql .= ", status = :status";
  }

  $sql .= " WHERE uid = :id";

  $stmt = $dbo->prepare($sql);

  // Bind parameters
  $stmt->bindParam(':firstname', $firstname);
  $stmt->bindParam(':surname', $surname);
  $stmt->bindParam(':userid', $userid);
  $stmt->bindParam(':mail', $mail);
  $stmt->bindParam(':role', $role);

  if ($original_role != 'Admin' && $original_role != 'Manager') {
    $stmt->bindParam(':status', $status);
  }

  $stmt->bindParam(':id', $id);

  // Execute the query
  if ($stmt->execute()) {
    if ($original_role == 'Admin' || $original_role == 'Manager') {
      // Show a message that admin or manager status cannot be edited
      echo "<div style='color: red; font-weight: bold;'>Admin or Manager status cannot be edited.</div>";

      // Redirect to reg-user.php after a short delay
      echo "<script>
              setTimeout(function() {
                window.location.href = 'reg-user.php';
              }, 2000); // Redirect after 2 seconds
            </script>";
      exit();
    } else {
      header("Location: reg-user.php");
      exit();
    }
  } else {
    echo "Error updating user";
  }
}
?>
