<?php
// Include your database connection settings
include "settings/db/db.php";
require 'vendor/autoload.php'; // Ensure PHPMailer's autoload is correctly included

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

// Initialize messages
$success_message = '';
$error_message = '';

// Check if the forgot-password form is submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $condition = "";
    if (!empty($_POST["user-login-name"])) {
        $condition = "userid = '" . mysqli_real_escape_string($con, $_POST["user-login-name"]) . "'";
    }
    if (!empty($_POST["user-email"])) {
        if (!empty($condition)) {
            $condition .= " AND ";
        }
        $condition .= "mail = '" . mysqli_real_escape_string($con, $_POST["user-email"]) . "'";
    }

    if (!empty($condition)) {
        $condition = "WHERE " . $condition;

        $sql = "SELECT * FROM users " . $condition;
        $result = mysqli_query($con, $sql);

        if (mysqli_num_rows($result) > 0) {
            $user = mysqli_fetch_array($result);

            // Generate a random token and a six-digit code
            $token = bin2hex(random_bytes(50));
            $six_digit_token = random_int(100000, 999999);
            $uid = $user['uid'];
            $expiry = date("Y-m-d H:i:s", strtotime('+1 hour'));

            // Update token, code, and expiry in the database
            $sql = "UPDATE users SET reset_token = '$token', code = '$six_digit_token', token_expiry = '$expiry' WHERE uid = '$uid'";
            if (!mysqli_query($con, $sql)) {
                die("Error updating token: " . mysqli_error($con));
            }

            // Send password reset email
            try {
                $mail = new PHPMailer(true);
                $mail->isSMTP();
                $mail->Host = 'smtp.gmail.com';
                $mail->SMTPAuth = true;
                $mail->Username = 'erp.matesolutions@gmail.com'; // Your email address
                $mail->Password = 'nssfpqiezlbzilei'; // Use an App Password if using Gmail with 2FA
                $mail->SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS;
                $mail->Port = 587;

                // Recipients
                $mail->setFrom('erp.matesolutions@gmail.com', 'Mate-ERP');
                $mail->addAddress($user['mail']); // Add recipient email address

                // Email content
                $mail->isHTML(true);
                $mail->Subject = 'Password Reset Request';
                $mail->Body = "
                    Hi {$user['firstname']},<br><br>
                    To reset your password, you can use either the link or the code provided below:<br>
                    <strong>Reset Code: $six_digit_token</strong><br><br>
                    Alternatively, click the following link:<br>
                    <a href='http://localhost/newp/pass_reset_link.php?token=$token'>Reset Password</a><br><br>
                    This code and link will expire in one hour.
                ";

                $mail->send(); // Send the email
                $success_message = 'Reset password email has been sent.';

                // Redirect to reset password page with the token
                header("Location: reset_password.php");
                exit(); // Make sure to exit after redirection to stop further script execution
            } catch (Exception $e) {
                $error_message = "Message could not be sent. Mailer Error: {$mail->ErrorInfo}";
            }
        } else {
            $error_message = 'No user found with the provided details.';
        }
    } else {
        $error_message = 'Please provide a username or email to continue.';
    }
}
?>


<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Forgot Password</title>
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <link rel="stylesheet" href="settings/setup/plugins/fontawesome-free/css/all.min.css">
  <link rel="stylesheet" href="settings/setup/dist/css/adminlte.min.css">
  <link rel="stylesheet" href="settings/setup/plugins/icheck-bootstrap/icheck-bootstrap.min.css">

  <script>
    function validate_forgot() {
        if ((document.getElementById("user-login-name").value === "") && (document.getElementById("user-email").value === "")) {
            document.getElementById("validation-message").innerHTML = "Login name or Email is required!";
            return false;
        }
        return true;
    }

    document.addEventListener('DOMContentLoaded', function() {
        document.getElementById('frmForgot').addEventListener('submit', function() {
            console.log('Form submitted');
            console.log('Username: ' + document.getElementById('user-login-name').value);
            console.log('Email: ' + document.getElementById('user-email').value);
        });
    });
  </script>
 </head>
<body class="hold-transition login-page" style="background-color: #2F4F4F; color: white; font: 18px 'Times';">
  
<div class="login-box">
  <div class="card card-outline card-primary">
    <div class="card-header text-center" style="background-color: #aa8d5b; color: black;">
    <p style="font:34px 'Times';">
      <a href="#" class="h1"><b><?php  require_once 'settings/inc/title/titl.php';?></b>-ERP</a>
      </p> </div>
      <div class="card-body" style="background-color: #aa8d5b; color: black; padding: 4px;">
      <p class="login-box-msg">You forgot your password? Here you can easily retrieve a new password.</p>
      <form name="frmForgot" id="frmForgot" method="post" onSubmit="return validate_forgot();">
        <input type="hidden" name="debug" value="Form submitted">

        <?php if (!empty($success_message)) { ?>
          <div class="alert alert-success"><?php echo $success_message; ?></div>
        <?php } ?>

        <div id="validation-message">
          <?php if (!empty($error_message)) { ?>
            <div class="alert alert-danger"><?php echo $error_message; ?></div>
          <?php } ?>
        </div>

        <div class="input-group mb-3">
        <input type="text" name="user-login-name" id="user-login-name" class="form-control" placeholder="Enter your username">
        <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-user"></span>
            </div>
          </div>
        </div>

        <p class="text-center">OR</p>
        <div class="input-group mb-3">
        <input type="email" name="user-email" id="user-email" class="form-control" placeholder="Enter your email">
        <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-envelope"></span>
            </div>
          </div>
        </div>
        <div class="row justify-content-center">
    <div class="col-7">
        <button type="submit" name="forgot-password" id="forgot-password" class="btn btn-primary btn-block" style="background-color: #0d47a1; border-color: #0d47a1; line-height: 1.2; color:white;">
            Request new password
        </button>
    </div>
    <!-- /.col -->
</div>

      </form>
      <p class="mt-3 mb-1">
        <a href="login.php">Back to Login</a>
      </p>
    </div>
    </div>
    </div>
  </div>
</div>

<script src="settings/setup/plugins/jquery/jquery.min.js"></script>
<script src="settings/setup/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="settings/setup/plugins/icheck-bootstrap/icheck.min.js"></script>
</body>
</html>

