<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title><?php include_once ('settings/inc/title/title.php'); ?> | Log in</title>
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
  <link rel="stylesheet" href="plugins/css/font-awesome.min.css">
  <link rel="stylesheet" href="plugins/css/ionicons.min.css">
  <link rel="stylesheet" href="dist/css/AdminLTE.min.css">
  <link rel="stylesheet" href="plugins/iCheck/square/blue.css">
  <style>
    body, html {
      height: 100%;
      margin: 0;
      font-family: Arial, sans-serif;
      background-color: #2F4F4F;
      color: white;
    }
    .content-wrapper {
      min-height: 100vh;
      display: flex;
      align-items: center;
      justify-content: center;
      background-color: #2F4F4F;
    }
    .login-box {
      background: rgba(255, 255, 255, 0.1);
      padding: 20px;
      border-radius: 8px;
      color: white;
      box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    }
    .login-logo b {
      color: #fff;
    }
    .login-box-body {
      padding: 30px;
      border-radius: 10px;
      background: rgba(47, 79, 79, 0.9);
      color: white;
    }
    .breadcrumb a {
      color: #fff;
    }
    .error-message {
      color: red;
      font-family: 'Times New Roman', Times, serif;
      font-size: 20px;
    }
    .version-info {
      position: absolute;
      bottom: 10px;
      right: 10px;
      color: white;
      font-family: 'Times New Roman', Times, serif;
      font-size: 25px;
    }
  </style>
  <script src="https://maps.googleapis.com/maps/api/js?key=YOUR_API_KEY"></script>
  <script>
    function getLocationAndLogin() {
      if (navigator.geolocation) {
        navigator.geolocation.getCurrentPosition(function(position) {
          document.getElementById('latitude').value = position.coords.latitude;
          document.getElementById('longitude').value = position.coords.longitude;
          document.getElementById('loginForm').submit();
        }, function(error) {
          alert('Error getting location: ' + error.message);
          document.getElementById('loginForm').submit();
        });
      } else {
        alert("Geolocation is not supported by this browser.");
        document.getElementById('loginForm').submit();
      }
    }
  </script>
</head>
<body class="hold-transition">
  <div class="content-wrapper">
    <div class="login-box">
      <div class="login-logo">
        <span style="font:34px 'Aleo';">
          <b><?php echo $name ?></b><br>
          <?php require_once 'settings/inc/title/titl.php';?>
        </span>
      </div>
      <div class="login-box-body">
        <?php
        if ($_SERVER['REQUEST_METHOD'] == 'POST') {
          include "settings/db/db.php";

          $userid = $_POST['userid'];
          $password = $_POST['password'];
          $latitude = $_POST['latitude'];
          $longitude = $_POST['longitude'];
          $msg = '';
          $status = 'OK';

          if (!isset($userid) || strlen($userid) < 3) {
              $msg .= "User id should be 3 or more characters in length.<br>";
              $status = "NOTOK";
          }
          if (strlen($password) < 3) {
              $msg .= "Password must be more than 3 characters in length.<br>";
              $status = "NOTOK";
          }
          if ($status !== 'OK') {
              echo "<div class='error-message'>$msg</div><br><input type='button' value='Retry' onClick='history.go(-1)'>";
              exit;
          }

          $sql = "SELECT * FROM users WHERE userid = ?";
          $stmt = $con->prepare($sql);
          $stmt->bind_param('s', $userid);
          $stmt->execute();
          $result = $stmt->get_result();
          $user_ip = $_SERVER['REMOTE_ADDR'];
          $date = date("Y-m-d");
          $time = date("H:i:s");

          if ($result->num_rows == 1) {
              $row = $result->fetch_assoc();
              if ($row['password'] == md5($password)) {
                  if ($row['status'] == '1') {
                      $_SESSION['id'] = session_id();
                      $_SESSION['userid'] = $row['userid'];
                      $_SESSION['role'] = $row['role'];

                      $log_sql = "INSERT INTO user_logs (Ip_address, date, time, userid, latitude, longitude) VALUES (?, ?, ?, ?, ?, ?)";
                      $log_stmt = $con->prepare($log_sql);
                      $log_stmt->bind_param('ssssss', $user_ip, $date, $time, $userid, $latitude, $longitude);
                      $log_stmt->execute();

                      if ($row['role'] == 'Admin') {
                          header('Location: admin/index.php');
                          exit;
                      } else if ($row['role'] == 'Cashier' || $row['role'] == 'Receptionist') {
                          header('Location: reception/index.php');
                          exit;
                      } else if ($row['role'] == 'Dispenser') {
                          header('Location: dispenser/index.php');
                          exit;
                      } else {
                          $msg = "Login failed, please try again.<br>";
                      }
                  } elseif ($row['status'] == '0') {
                      $msg = "Your account is Inactive. Please contact the Administrator.<br>";
                  }
              } else {
                  $msg = "Invalid username or password.<br>";
              }
          } else {
              $msg = "Invalid username or password.<br>";
          }

          echo "<div class='error-message'>$msg</div>";
        }
        ?>
       <!-- <form id="loginForm" method="post" action="login.php" onsubmit="event.preventDefault(); getLocationAndLogin();">
          <input type="hidden" id="latitude" name="latitude">
          <input type="hidden" id="longitude" name="longitude">
          <div class="form-group has-feedback">
            <input type="text" class="form-control" placeholder="User ID" name="userid" required>
          </div>
          <div class="form-group has-feedback">
            <input type="password" class="form-control" placeholder="Password" name="password" required>
          </div>
          <div class="row">
            <div class="col-xs-8"></div>
            <div class="col-xs-4">
              <button type="submit" class="btn btn-primary btn-block btn-flat">Sign In</button>
            </div>
          </div>
        </form> -->
        <center>
          <br><br>
          <a href="login.php" class="btn btn-primary" style="background-color: #0d47a1; border-color: #0d47a1; font-size: 20px; padding: 3px 6px; color: white; text-decoration: none; font-family: 'Times New Roman', Times, serif;">Try again</a>
        </center>
      </div>
    </div>
  </div>
  <div class="version-info"><?php require_once 'settings/inc/title/version.php';?></div><br>

  <script src="plugins/jQuery/jquery-2.2.3.min.js"></script>
  <script src="bootstrap/js/bootstrap.min.js"></script>
  <script src="plugins/iCheck/icheck.min.js"></script>
</body>
</html>
