<?php
// Include your database connection settings
include "settings/db/db.php";

$error_message = '';
$success_message = '';

// Check if the form is submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Get input values from the form
    $new_password = mysqli_real_escape_string($con, $_POST['new_password']);
    $confirm_password = mysqli_real_escape_string($con, $_POST['confirm_password']);
   // $input_token = mysqli_real_escape_string($con, $_POST['token']);
    $input_code = mysqli_real_escape_string($con, $_POST['code']);

    // Validate password match
    if ($new_password !== $confirm_password) {
        $error_message = "Passwords do not match!";
    } else {
        // Condition to check either token or code
        $condition = '';
        if (!empty($input_token)) {
            // If token is provided, use it to search in the database
            $condition = "reset_token = '$input_token'";
        } elseif (!empty($input_code)) {
            // If code is provided, use it to search in the database
            $condition = "code = '$input_code'";
        }

        if (!empty($condition)) {
            // Check if token/code is valid and not expired
            $sql = "SELECT * FROM users WHERE $condition AND token_expiry > NOW()";
            $result = mysqli_query($con, $sql);

            if (mysqli_num_rows($result) > 0) {
                // If valid, reset the password using MD5
                $hashed_password = md5($new_password); // Use MD5 for hashing
                $sql = "UPDATE users SET password = '$hashed_password', reset_token = NULL, code = NULL WHERE $condition";
                if (mysqli_query($con, $sql)) {
                    // Redirect to login page after successful password reset
                    header("Location: login.php");
                    exit(); // Always exit after header redirection
                } else {
                    $error_message = "Failed to reset password, please try again!";
                }
            } else {
                $error_message = "Invalid or expired token/code!";
            }
        } else {
            $error_message = "Please provide a valid reset token or code!";
        }
    }
}
?>
