<?php include ('../settings/db/db.php'); // database connection details stored here ?>

<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title><?php include_once ('../settings/inc/title/title.php'); ?> | Dashboard</title>
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../settings/setup/plugins/fontawesome-pro/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="../settings/setup/plugins/ionicons-2.0.1/css/ionicons.min.css">
  <!-- Tempusdominus Bootstrap 4 -->
  <link rel="stylesheet" href="../settings/setup/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
  <!-- iCheck -->
  <link rel="stylesheet" href="../settings/setup/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
  <!-- JQVMap -->
  <link rel="stylesheet" href="../settings/setup/plugins/jqvmap/jqvmap.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../settings/setup/dist/css/adminlte.min.css">
  <!-- overlayScrollbars -->
  <link rel="stylesheet" href="../settings/setup/plugins/overlayScrollbars/css/OverlayScrollbars.min.css">
  <!-- Daterange picker -->
  <link rel="stylesheet" href="../settings/setup/plugins/daterangepicker/daterangepicker.css">
  <!-- Custom CSS -->
  <link rel="stylesheet" href="../settings/setup/bootstrap/css/simplebootstrap.css">
  <script src="js/jquery.js" type="text/javascript"></script>
  <script src="js/bootstrap.js" type="text/javascript"></script>
  <script type="text/javascript" charset="utf-8" language="javascript" src="js/jquery.dataTables.js"></script>
  <script type="text/javascript" charset="utf-8" language="javascript" src="js/DT_bootstrap.js"></script>
  <style>
    .header-fixed {
      width: 100%;
    }

    .header-fixed > thead,
    .header-fixed > tbody,
    .header-fixed > thead > tr,
    .header-fixed > tbody > tr,
    .header-fixed > thead > tr > th,
    .header-fixed > tbody > tr > td {
      display: block;
    }

    .header-fixed > tbody > tr:after,
    .header-fixed > thead > tr:after {
      content: ' ';
      display: block;
      visibility: hidden;
      clear: both;
    }

    .header-fixed > tbody {
      overflow-y: auto;
      height: 800px;
    }

    .header-fixed > tbody > tr > td,
    .header-fixed > thead > tr > th {
      width: 14%;
      float: left;
    }
  </style>
</head>
<body class="hold-transition sidebar-mini layout-fixed layout-footer-fixed layout-navbar-fixed sidebar-collapse">
<div class="wrapper">
  <?php include_once "../settings/inc/nav.php"; ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper" style="background-color: #2F4F4F; color: white;">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Sales Records</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="index.php"><i class="fa fa-dashboard"></i> Home</a></li>
              <li class="breadcrumb-item"><a href="index.php">Admin</a></li>
              <li class="breadcrumb-item active">Sales Records</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <!-- Default box -->
      <div class="container-fluid">
         <!-- general form elements -->
         <div class="card card-outline">
      <div class="card">
      <div class="card-header with-border" style="background-color: #0d47a1; color: white; padding: 4px;"> 
         
          <h3 class="card-title">Type medicine name to search</h3>
        </div>
        <div class="card-body" style="background-color: #c1ab86; border-color: #c1ab86; color: black;">
          <form action="#">
            <div class="form-group">
              <input type="text" name="search" value="" id="id_search" placeholder="Search" autofocus class="form-control"/>
            </div>
          </form>
          <table class="table table-bordered table-striped" id="table_example" data-responsive="table">
            <thead>
              <tr>
                <th style="text-align:center;width:10%;">InvoiceNo</th>
                <th style="text-align:center;width:8%;">Date</th>
                <th style="text-align:center;width:12%;">Time</th>
                <th style="text-align:center;width:10%;">Brand Name</th>
                <th style="text-align:center;width:40%;">Generic Name</th>
                <th style="text-align:center;width:8%;">Price</th>
                <th style="text-align:center;width:12%;">QTY</th>
                <th style="text-align:center;width:12%;">Total Amount</th>
                <th style="text-align:center;width:10%;">Profit</th>
              </tr>
            </thead>
            <tbody>
              <?php
              function formatMoney($number, $fractional=false) {
                if ($fractional) {
                  $number = sprintf('%.2f', $number);
                }
                while (true) {
                  $replaced = preg_replace('/(-?\d+)(\d\d\d)/', '$1,$2', $number);
                  if ($replaced != $number) {
                    $number = $replaced;
                  } else {
                    break;
                  }
                }
                return $number;
              }

              $today = date('m/d/Y');
              $sql = "SELECT c.trade_name, c.generic_name, s.dateT, s.time, ((s.sell_price-s.cost_price)*s.qty_sold) AS proft, s.transaction_id, s.invoiceNo, s.trade_name, s.cost_price, s.sell_price, s.qty_sold, s.amount, s.entrant FROM `medicine_list` AS c INNER JOIN `sales_list` AS s ON c.sno = s.sno WHERE s.dateT = :today GROUP BY invoiceNo ORDER BY invoiceNo DESC";
              
              try {
                $result = $dbo->prepare($sql);
                $result->bindParam(':today', $today);
                $result->execute();
                for ($i=0; $row = $result->fetch(); $i++) {
              ?>
              <tr class="record">
                <td><?php echo $row['invoiceNo']; ?></td>
                <td><?php echo $row['dateT']; ?></td>
                <td style="text-align:center;width:11%;"><?php echo $row['time']; ?></td>
                <td><?php echo $row['trade_name']; ?></td>
                <td><?php echo $row['generic_name']; ?></td>
                <td><?php echo formatMoney($row['sell_price'], true); ?></td>
                <td><?php echo $row['qty_sold']; ?></td>
                <td><?php echo formatMoney($row['amount'], true); ?></td>
                <td><?php echo formatMoney($row['proft'], true); ?></td>
              </tr>
              <?php
                }
              } catch (PDOException $e) {
                echo "Error: " . $e->getMessage();
              }
              ?>
              <tr>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th>Total Amount</th>
                <th>Total Profit</th>
                <th></th>
              </tr>
              <tr>
                <th colspan="6"><strong style="font-size: 20px; color: #000;">Total:</strong></th>
                <th colspan="1"><strong style="font-size: 13px; color: #000;">
                  <?php
                  $sql = "SELECT SUM(amount) AS amt FROM sales_list WHERE dateT = '$today'";
                  $result = mysqli_query($con, $sql);
                  while ($row = mysqli_fetch_array($result)) {
                    $invoice = $row['amt'];
                    echo formatMoney($invoice, true);
                  }
                  ?>
                </strong></th>
                <th colspan="1"><strong style="font-size: 13px; color: #000;">
                  <?php
                  $sql = "SELECT SUM((sell_price-cost_price)*qty_sold) AS tproft FROM sales_list WHERE dateT = '$today'";
                  $result = mysqli_query($con, $sql);
                  while ($row = mysqli_fetch_array($result)) {
                    $invoice = $row['tproft'];
                    echo formatMoney($invoice, true);
                  }
                  ?>
                </th>
                <th></th>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  <?php include_once("footer.php"); ?>
</div>
<!-- ./wrapper -->

<script src="js/angular.min.js"></script>
<script src="js/ui-bootstrap-tpls-0.10.0.min.js"></script>
<script src="app/app.js"></script>

<script type="text/javascript">
  function confirmDelete() {
    var msg = "Are you sure you want to delete?";
    return confirm(msg);
  }
</script>
</body>
</html>
