<?php
// Database connection
include ('../settings/db/db.php'); 

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Get the data from the POST request
    $invoice_no = $_POST['invoiceNo'];
    $payment_method = $_POST['payment_method'];
    $amount_to_be_paid = $_POST['amount_to_be_paid'];
    $cash_tendered = $_POST['cash_tendered'];
    $balance = $_POST['balance'];
    $approval_status = $_POST['approval_status'];

    // Prepare SQL query to insert data into receipts table
    $stmt = $con->prepare("INSERT INTO receipts (invoiceNo, payment_method, amount_to_be_paid, cash_tendered, balance, approval_status) 
            VALUES (?, ?, ?, ?, ?, ?)");
    $stmt->bind_param("ssssss", $invoice_no, $payment_method, $amount_to_be_paid, $cash_tendered, $balance, $approval_status);

    if ($stmt->execute()) {
        // Prepare SQL query to update sales_list table
        $update_stmt = $con->prepare("UPDATE sales_list SET status = ? WHERE invoiceNo = ?");
        $update_stmt->bind_param("ss", $approval_status, $invoice_no);
        
        if ($update_stmt->execute()) {
            // Return success response
            echo json_encode(['success' => true]);
        } else {
            // Return failure response for update statement
            echo json_encode(['success' => false, 'error' => $update_stmt->error]);
        }
    } else {
        // Return failure response for insert statement
        echo json_encode(['success' => false, 'error' => $stmt->error]);
    }

    // Close the statements
    $stmt->close();
    $update_stmt->close();
}

// Close the database connection
$con->close();
?>
