<?php
include ('../settings/db/db.php'); // Database connection details stored here

// Enable error reporting for debugging
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Check the database connection
if (!$con) {
    die("Database connection failed: " . mysqli_connect_error());
}

// Initialize response array
$response = [
    'invoiceNo' => '',
    'totalAmount' => 0,
    'html' => '',
    'error' => ''
];

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Get the scanned barcode from the form
    $barcode = trim($_POST['barcode']);
    
    if (!empty($barcode)) {
        // Query to fetch sales data and corresponding medicine details
        $query = "
            SELECT 
                m.trade_name,  
                s.sell_price, 
                s.qty_sold, s.profit, s.amount, 
                s.invoiceNo, 
                s.dateT, 
                s.time, 
                s.customer, 
                s.phone, 
                s.entrant
            FROM 
                sales_list s
            INNER JOIN 
                medicine_list m ON s.sno = m.sno
            WHERE 
                s.invoiceNo = '$barcode' 
            LIMIT 50
        ";

        $result = mysqli_query($con, $query) or die("Error executing query: " . mysqli_error($con));

        // Check if any records were found
        if (mysqli_num_rows($result) > 0) {
            // Fetch the first row to get the invoice number
            $row = mysqli_fetch_assoc($result);
            $invoiceNo = $row['invoiceNo'];
            $totalAmount = $row['amount']; // Initialize total amount with the first row's amount
            $response['invoiceNo'] = $invoiceNo;

            $html = '<table class="table table-bordered table-striped">';
            $html .= '<thead style="background-color: #004d40; border-color: #004d40; color: white; line-height: 0;">';
            $html .= '<tr>';
            $html .= '<th style="text-align:left;">Trade Name</th>';
            $html .= '<th style="text-align:center;">Qty</th>';
            $html .= '<th style="text-align:center;">Sell Price</th>';
            $html .= '<th style="width:5%;text-align:center;">Amount</th>';
            $html .= '</tr>';
            $html .= '</thead>';
            $html .= '<tbody>';

            $html .= '<tr>';
            $html .= '<td style="width:15%; text-align:left;">' . htmlspecialchars($row['trade_name']) . '</td>';
            $html .= '<td style="width:8%; text-align:center;">' . htmlspecialchars($row['qty_sold']) . '</td>';
            $html .= '<td style="width:9%; text-align:center;">' . htmlspecialchars($row['sell_price']) . '</td>';
            $html .= '<td style="width:6%; text-align:center;">' . htmlspecialchars($row['amount']) . '</td>';
            $html .= '</tr>';

            // Fetch and process the remaining rows
            while ($row = mysqli_fetch_assoc($result)) {
                $html .= '<tr>';
                $html .= '<td style="width:15%; text-align:left;">' . htmlspecialchars($row['trade_name']) . '</td>';
                $html .= '<td style="width:8%; text-align:center;">' . htmlspecialchars($row['qty_sold']) . '</td>';
                $html .= '<td style="width:9%; text-align:center;">' . htmlspecialchars($row['sell_price']) . '</td>';
                $html .= '<td style="width:6%; text-align:center;">' . htmlspecialchars($row['amount']) . '</td>';
                $html .= '</tr>';
                
                // Accumulate the total amount
                $totalAmount += $row['amount'];
            }

            $html .= '<tr>';
            $html .= '<td colspan="3" style="text-align:right;">Total</td>';
            $html .= '<td style="text-align:center;"><strong>' . $currency . ':&nbsp;' . number_format($totalAmount, 2) . '</strong></td>';
            $html .= '</tr>';

            $html .= '</tbody>';
            $html .= '</table>';

            $response['html'] = $html;
            $response['totalAmount'] = number_format($totalAmount, 2); // Add total amount to the response
        } else {
            $response['error'] = 'No sales data found for the scanned barcode.';
        }

        // Close the connection
        mysqli_close($con);
    } else {
        $response['error'] = 'Please scan a barcode.';
    }
} else {
    $response['error'] = 'Invalid request method.';
}

// Return the response as JSON
header('Content-Type: application/json');
echo json_encode($response);
?>
