document.addEventListener('DOMContentLoaded', () => {
    const form = document.getElementById('barcodeForm');
    const modal = document.getElementById('invoiceModal');
    const span = document.getElementsByClassName('close')[0];
    const invoiceDetailsDiv = document.getElementById('invoiceDetails');

    form.addEventListener('submit', async (e) => {
        e.preventDefault();
        const barcode = document.getElementById('barcode').value;

        // Fetch invoice details (replace with your actual fetch call)
        const invoiceDetails = await fetchInvoiceDetails(barcode);

        // Populate the modal with invoice details
        invoiceDetailsDiv.innerHTML = `
            <p>Invoice Number: ${invoiceDetails.invoiceNumber}</p>
            <p>Date: ${invoiceDetails.date}</p>
            <p>Total Amount: ${invoiceDetails.totalAmount}</p>
        `;

        // Display the modal
        modal.style.display = 'block';
    });

    // Close the modal when the user clicks on <span> (x)
    span.onclick = () => {
        modal.style.display = 'none';
    };

    // Close the modal when the user clicks anywhere outside of the modal
    window.onclick = (event) => {
        if (event.target === modal) {
            modal.style.display = 'none';
        }
    };

    async function fetchInvoiceDetails(barcode) {
        // Replace this with actual AJAX call to fetch details from your server
        // This is just a mock function for demonstration
        return new Promise((resolve) => {
            setTimeout(() => {
                resolve({
                    invoiceNumber: 'INV123456',
                    date: '2024-11-17',
                    totalAmount: '$123.45'
                });
            }, 1000);
        });
    }
});
