<?php
require __DIR__ . '/vendor/autoload.php'; // Ensure this path is correct

use Twilio\Rest\Client;
use Dotenv\Dotenv;

$dotenv = Dotenv::createImmutable(__DIR__);
$dotenv->load();

// Twilio credentials from .env file
$account_sid = $_ENV['TWILIO_ACCOUNT_SID'];
$auth_token = $_ENV['TWILIO_AUTH_TOKEN'];
$twilio_whatsapp_number = $_ENV['TWILIO_WHATSAPP_NUMBER']; // This should include 'whatsapp:' in the .env file

// Recipient's WhatsApp number (also prefixed with 'whatsapp:')
$whatsapp_number = 'whatsapp:+256700393890'; // Replace with the actual recipient's WhatsApp number

// Message content
$message = 'Hello from your POS system!';

$client = new Client($account_sid, $auth_token);

// Function to send WhatsApp message
function sendWhatsApp($client, $twilio_whatsapp_number, $whatsapp_number, $message) {
    try {
        $client->messages->create(
            $whatsapp_number,
            [
                'from' => $twilio_whatsapp_number, // Already includes 'whatsapp:'
                'body' => $message
            ]
        );
        echo 'WhatsApp message sent successfully!' . PHP_EOL;
    } catch (Exception $e) {
        echo 'Error sending WhatsApp message: ' . $e->getMessage() . PHP_EOL;
    }
}

// Send WhatsApp message
sendWhatsApp($client, $twilio_whatsapp_number, $whatsapp_number, $message);
?>
