<?php 
include "../settings/db/db.php";
include_once "../settings/inc/header.php";
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />

    <title><?php include_once ('../app/inc/title/title.php'); ?> | Medical Form</title>

    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport" />

    <style type="text/css">
        form label {
            display: inline-block;
            width: 200px;
        }

        form div {
            margin-bottom: 10px;
        }

        .error {
            color: red;
            margin-left: 5px;
        }

        label.error {
            display: inline;
        }
    </style>
          
    <!-- summernote -->
    <link rel="stylesheet" href="../settings/setup/plugins/summernote/summernote-bs4.min.css">
    <!-- CodeMirror -->
    <link rel="stylesheet" href="../settings/setup/plugins/codemirror/codemirror.css">
    <link rel="stylesheet" href="../settings/setup/plugins/codemirror/theme/monokai.css">
    <!-- SimpleMDE -->
    <link rel="stylesheet" href="../settings/setup/plugins/simplemde/simplemde.min.css">
</head>
<body>
    <div class="wrapper">
        <!-- Begin page content -->
        <div class="content-wrapper">
            <section class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1>Patient's Medical Form</h1>
                        </div>
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#"><i class="fa fa-dashboard"></i> Dashboard</a></li>
                                <li class="breadcrumb-item"><a href="#">Doctor</a></li>
                                <li class="breadcrumb-item active">Medical Form</li>
                            </ol>
                        </div>
                    </div>
                </div>
            </section>

            <!-- Main content -->
            <section class="content">
                <div class="container-fluid">
                    <div class="card card-cyan card-outline">
                        <div class="card-header">
                            <h3 class="card-title">All Fields are required</h3>
                        </div>
                        <div class="card-body">
                            <form name="form1" action="" id="invoice-form" method="post" role="form">
                                <div class="row" style="display: flex; justify-content: center; align-items: center; height: 16vh; font-family: Arial, sans-serif; margin-top: 10px;">
                                    <div class="col-6" style="padding: 10px; background-color: #fff; border-radius: 5px; box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);">
                                        <label for="patient" style="font-size: 16px; font-weight: bold; display: flex; justify-content: center;">Patient Name</label>
                                        <input type="text" class="form-control" name="patient" placeholder="Patient" required style="width: 100%; padding: 10px; font-size: 14px; border-radius: 5px; border: 1px solid #ccc;">
                                    </div>
                                </div>
                                <div class="row" style="display: flex;justify-content: center; padding: 1px; margin-left: 8%;margin-right: 8%; background-color: #fff; border-radius: 5px; box-shadow: 0 2px 2px rgba(0, 0, 0, 0.1);">
                                    <div class="col-2">
                                        <br /><br />
                                        <label>Sex</label>
                                        <select name="sex" class="form-control" required>
                                            <option>Male</option>
                                            <option>Female</option>
                                        </select>
                                    </div>
                                    <div class="col-2">
                                        <br /><br />
                                        <label>Age</label>
                                        <div class="input-group mb-3">
                                            <input type="text" class="form-control" name="age" placeholder="Age" required />
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">Yrs</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-2">
                                        <br /><br />
                                        <label>Temperature</label>
                                        <div class="input-group mb-3">
                                            <input type="text" class="form-control" name="temperature" placeholder="Temperature" required />
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">o/C</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-3">
                                        <br /><br />
                                        <label>Blood Pressure</label>
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">SYS/DIA</span>
                                            </div>
                                            <input type="text" class="form-control" name="blood_pressure" placeholder="Blood Pressure" required />
                                        </div>
                                    </div>
                                    <div class="col-2">
                                        <br /><br />
                                        <label>Pulse</label>
                                        <div class="input-group mb-3">
                                            <input type="text" class="form-control" name="pulse" placeholder="Pulse" required />
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">BPM</span>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row" style="display: flex;justify-content: center; padding: 1px; margin-left: 8%;margin-right: 8%; background-color: #fff; border-radius: 5px; box-shadow: 0 2px 2px rgba(0, 0, 0, 0.1);">
                                    <div class="col-2">
                                        <label>Oxygen Circulation</label>
                                        <input type="text" class="form-control" name="oxygen_circulation" placeholder="Oxygen Circulation" required />
                                    </div>
                                    <div class="col-2">
                                        <label>Weight</label>
                                        <div class="input-group mb-3">
                                            <input type="text" class="form-control" name="weight" placeholder="Weight" required />
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">kg</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-2">
                                        <label>Height</label>
                                        <div class="input-group mb-3">
                                            <input type="text" class="form-control" name="height" placeholder="Height" required />
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">cm</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-3">
                                        <label>Address</label>
                                        <input type="text" class="form-control" name="address" placeholder="Patient's Address" required />
                                    </div>
                                    <div class="col-2">
                                        <label>Contact</label>
                                        <input type="text" class="form-control" name="contact" placeholder="Contact" required />
                                    </div>
                                </div>

                                <br />

                                <div class="row" style="display: flex; justify-content: center; align-items: center; margin-top: 10px;">
                                    <div class="col-md-10">
                                        <div class="card card-outline card-gray">
                                            <div class="card-header">
                                                <h3 class="card-title">
                                                    DOCTOR'S BOARD
                                                </h3>
                                            </div>
                                            <!-- /.card-header -->
                                            <div class="card-body">
                                                <textarea id="summernote" name="doctor_board">
                                                p/c

    fever
    headache
    shivering

examinations

    hot
    tensels
    watery eyes

DX

    Malaria
                                                </textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- /.col-->
                                </div>
                            </form>

                        </div>

                        <div class="form-group">
                            <div class="col-2">
                                <button data-loading-text="Saving Invoice..." type="submit" name="invoice_btn" class="btn btn-success submit_btn invoice-save-top form-control">
                                    <i class="fa fa-floppy-o"></i> Save
                                </button>
                            </div>
                        </div>
                    </div>
                </section>
            </div>


            <footer class="main-footer">
                <strong>Copyright &copy;
                    2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong>
                All rights reserved.
                <div class="float-right d-none d-sm-inline-block">
                    <b>Version</b> 3.2.0
                </div>
            </footer>
        </div>

        <!-- jQuery -->
        <script src="../settings/setup/plugins/plugins/jquery/jquery.min.js"></script>
        <!-- Bootstrap 4 -->
        <script src="../settings/setup/plugins/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
        <!-- bs-custom-file-input -->
        <script src="../settings/setup/plugins/plugins/bs-custom-file-input/bs-custom-file-input.min.js"></script>
        <!-- AdminLTE App -->
        <script src="../settings/setup/plugins/dist/js/adminlte.min.js"></script>

        <!-- Page specific script -->
        <script>
            $(function () {
                bsCustomFileInput.init();
            });
        </script>

        <script>
            $(function () {
                $(".chzn-select").chosen();
            });
        </script>
        <!-- jQuery -->
        <script src="../settings/setup/plugins/jquery/jquery.min.js"></script>
        <!-- Bootstrap 4 -->
        <script src="../settings/setup/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
        <!-- AdminLTE App -->
        <script src="../settings/setup/dist/js/adminlte.min.js"></script>
        <!-- Summernote -->
        <script src="../settings/setup/plugins/summernote/summernote-bs4.min.js"></script>

        <script>
            $(function () {
                // Summernote
                $('#summernote').summernote();
            });
        </script>
        <script src="../settings/setup/plugins/validator/dist/jquery.validate.js"></script>

        <script type="text/javascript">
            $(document).ready(function () {
                $('#invoice-form').validate({
                    rules: {
                        patient: {
                            required: true,
                            minlength: 3
                        },
                        age: {
                            required: true,
                            number: true
                        },
                        temperature: {
                            required: true,
                            number: true
                        },
                        blood_pressure: {
                            required: true
                        },
                        pulse: {
                            required: true,
                            number: true
                        },
                        oxygen_circulation: {
                            required: true
                        },
                        weight: {
                            required: true,
                            number: true
                        },
                        height: {
                            required: true,
                            number: true
                        },
                        address: {
                            required: true
                        },
                        contact: {
                            required: true
                        },
                        doctor_board: {
                            required: true
                        }
                    },
                    messages: {
                        patient: {
                            required: "Please enter patient's name",
                            minlength: "Patient's name must be at least 3 characters long"
                        },
                        age: {
                            required: "Please enter patient's age",
                            number: "Please enter a valid age"
                        },
                        temperature: {
                            required: "Please enter patient's temperature",
                            number: "Please enter a valid temperature"
                        },
                        blood_pressure: {
                            required: "Please enter patient's blood pressure"
                        },
                        pulse: {
                            required: "Please enter patient's pulse",
                            number: "Please enter a valid pulse rate"
                        },
                        oxygen_circulation: {
                            required: "Please enter patient's oxygen circulation rate"
                        },
                        weight: {
                            required: "Please enter patient's weight",
                            number: "Please enter a valid weight"
                        },
                        height: {
                            required: "Please enter patient's height",
                            number: "Please enter a valid height"
                        },
                        address: {
                            required: "Please enter patient's address"
                        },
                        contact: {
                            required: "Please enter patient's contact number"
                        },
                        doctor_board: {
                            required: "Please enter doctor's board details"
                        }
                    }
                });
            });
        </script>
    </body>
    </html>
