$(document).ready(function() {
    var i = $('table tr').length;

    $(".addmore").on('click', function() {
        var html = '<tr>';
        html += '<td><input class="case" type="checkbox"/></td>';
        html += '<td><input type="text" data-type="trade_name" name="trade_name[' + i + ']" id="itemNo_' + i + '" class="form-control" autocomplete="off" required></td>';
        html += '<td><input type="text" data-type="generic_name" name="generic_name[' + i + ']" id="itemName_' + i + '" class="form-control autocomplete_txt" autocomplete="off" required></td>';
        html += '<td><input type="text" data-type="type" name="type[' + i + ']" id="type_' + i + '" class="form-control autocomplete_txt" autocomplete="off" required></td>';
        html += '<td><input type="text" name="wsell_price[' + i + ']" id="wsell_price_' + i + '" class="form-control changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" required></td>';
        html += '<td><input type="text" name="sell_price[' + i + ']" id="sell_price_' + i + '" class="form-control changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" required></td>';
        html += '<td><input type="number" name="min_stock[' + i + ']" id="min_stock_' + i + '" class="form-control changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;" required></td>';
        html += '</tr>';

        // Append the new row to the table
        $('table tbody').append(html);
        i++;
    });

    // Autocomplete script
    $(document).on('focus', '.autocomplete_txt', function() {
        var type = $(this).data('type');
        $(this).autocomplete({
            source: function(request, response) {
                $.ajax({
                    url: 'get_categories.php',
                    dataType: 'json',
                    method: 'post',
                    data: {
                        name_startsWith: request.term,
                        type: type
                    },
                    success: function(data) {
                        response($.map(data, function(item) {
                            return {
                                label: item,
                                value: item
                            };
                        }));
                    }
                });
            },
            autoFocus: true,
            minLength: 0,
            select: function(event, ui) {
                var names = ui.item.value;
                var id_arr = $(this).attr('id').split("_");
                var index = id_arr[id_arr.length - 1];
                $('#type_' + index).val(names);
            }
        });
    });

    // To check all checkboxes
    $(document).on('change', '#check_all', function() {
        $('input[class=case]:checkbox').prop("checked", $(this).is(':checked'));
    });

    // Deletes the selected table rows
    $(".delete").on('click', function() {
        $('.case:checkbox:checked').parents("tr").remove();
        $('#check_all').prop("checked", false);
        calculateTotal();
    });

    function IsNumeric(e) {
        var keyCode = e.which ? e.which : e.keyCode;
        if (keyCode < 48 || keyCode > 57)
            return false;
        return true;
    }
});
