var i = $('table tr').length;

$(".addmore").on('click', function() {
    var html = '<tr>';
    html += '<td><input class="case" type="checkbox"/></td>';
    html += '<td><input type="text" data-type="trade_name" name="trade_name['+i+']" id="itemNo_'+i+'" class="form-control autocomplete_txt" autocomplete="off" required></td>';
    html += '<input type="hidden" data-type="generic_name" name="generic_name['+i+']" id="itemName_'+i+'" class="form-control autocomplete_txt" autocomplete="off"></td>';
    html += '<input type="hidden" name="sno['+i+']" id="sno_'+i+'" class="form-control sno" autocomplete="off" readonly></td>';
    html += '<input type="hidden" name="expiry_date['+i+']" id="expiry_date_'+i+'" class="form-control sno" autocomplete="off" readonly></td>';
    html += '<input type="hidden" name="batch['+i+']" id="batch_'+i+'" class="form-control sno" autocomplete="off" readonly></td>';
    html += '<td><input type="text" name="quantity['+i+']" id="quantity1_'+i+'" class="form-control quantity" autocomplete="off" readonly></td>';
    html += '<td><input type="text" name="sell_price['+i+']" id="price_'+i+'" class="form-control changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"></td>';
    html += '<input type="hidden" name="cost_price['+i+']" id="cprice_'+i+'" class="form-control changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"></td>';
    html += '<td><input type="text" name="qty_sold['+i+']" id="quantity_'+i+'" class="form-control changesNo" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"></td>';
    html += '<td><input type="text" name="amount['+i+']" id="total_'+i+'" class="form-control totalLinePrice" autocomplete="off" onkeypress="return IsNumeric(event);" ondrop="return false;" onpaste="return false;"></td>';
    html += '</tr>';
    
    $('table').append(html);
    i++;
});

//to check all checkboxes
$(document).on('change','#check_all',function(){
    $('input[class=case]:checkbox').prop("checked", $(this).is(':checked'));
});

//deletes the selected table rows
$(".delete").on('click', function() {
    $('.case:checkbox:checked').parents("tr").remove();
    $('#check_all').prop("checked", false);
    calculateTotal();
});

//autocomplete script
$(document).on('focus','.autocomplete_txt',function(){
    var type = $(this).data('type');

    if(type == 'trade_name' ) autoTypeNo = 0;
    if(type == 'generic_name' ) autoTypeNo = 1;

    $(this).autocomplete({
        source: function(request, response) {
            $.ajax({
                url: 'ajax2.php',
                dataType: 'json',
                method: 'post',
                data: {
                    name_startsWith: request.term,
                    type: type
                },
                success: function(data) {
                    response($.map(data, function(item) {
                        var code = item.split("|");
                        return {
                            label: code[autoTypeNo],
                            value: code[autoTypeNo],
                            data: item
                        };
                    }));
                }
            });
        },
        autoFocus: true,
        minLength: 0,
        select: function(event, ui) {
            var names = ui.item.data.split("|");
            var id_arr = $(this).attr('id').split("_");
            var id = id_arr[1];
            $('#itemNo_' + id).val(names[0]);
            $('#itemName_' + id).val(names[1]);
            $('#sno_' + id).val(names[1]);
            $('#expiry_date_' + id).val(names[3]);
            $('#batch_' + id).val(names[2]);
            $('#quantity1_' + id).val(names[4]);
            $('#quantity_' + id).val(1);
            $('#price_' + id).val(names[5]);
            $('#cprice_' + id).val(names[6]);
            $('#total_' + id).val(1 * names[5]);
            calculateTotal();
        }
    });
});

//price change
$(document).on('change keyup blur','.changesNo',function(){
    var id_arr = $(this).attr('id');
    var id = id_arr.split("_");
    var quantity = $('#quantity_'+id[1]).val();
    var price = $('#price_'+id[1]).val();
    if(quantity != '' && price != '') $('#total_'+id[1]).val((parseFloat(price) * parseFloat(quantity)).toFixed(2));
    calculateTotal();
});

$(document).on('change keyup blur','#tax',function(){
    calculateTotal();
});

//total price calculation
function calculateTotal(){
    var subTotal = 0;
    var total = 0;
    $('.totalLinePrice').each(function(){
        if($(this).val() != '') subTotal += parseFloat($(this).val());
    });
    $('#subTotal').val(subTotal.toFixed(2));
    var tax = $('#tax').val();
    if(tax != '' && typeof(tax) != "undefined"){
        var taxAmount = subTotal * (parseFloat(tax) / 100);
        $('#taxAmount').val(taxAmount.toFixed(2));
        total = subTotal + taxAmount;
    } else {
        $('#taxAmount').val(0);
        total = subTotal;
    }
    $('#totalAftertax').val(total.toFixed(2));
    calculateTotalAfterDiscount();
    calculateAmountDue();
}

$(document).on('change keyup blur','#discountAmount',function(){
    calculateAmountDue();
    calculateTotalAfterDiscount();
});

// Function to calculate total after discount
function calculateTotalAfterDiscount() {
    var subTotal = parseFloat($('#totalAftertax').val()) || 0;
    var discountAmount = parseFloat($('#discountAmount').val()) || 0;
    var totalAfterDiscount = subTotal - discountAmount;
    $('#finalTotal').val(totalAfterDiscount.toFixed(2));
}

// Function to calculate change based on cash tendered and total after discount
function calculateChange() {
    var totalAfterDiscount = parseFloat($('#finalTotal').val()) || 0;
    var cashTendered = parseFloat($('#cashTendered').val()) || 0;
    var change = cashTendered - totalAfterDiscount;
    $('#change').val(change.toFixed(2));
}

$(document).on('input', '#cashTendered', function() {
    calculateChange();
});

$(document).ready(function() {
    calculateTotalAfterDiscount();
    calculateChange();
});

//due amount calculation
function calculateAmountDue(){
    var amountPaid = $('#amountPaid').val();
    var total = $('#totalAftertax').val();
    if(amountPaid != '' && typeof(amountPaid) != "undefined"){
        var amountDue = parseFloat(total) - parseFloat(amountPaid);
        $('.amountDue').val(amountDue.toFixed(2));
    } else {
        total = parseFloat(total).toFixed(2);
        $('.amountDue').val(total);
    }
}

//It restricts non-numeric input
var specialKeys = new Array();
specialKeys.push(8, 46); //Backspace
function IsNumeric(e) {
    var keyCode = e.which ? e.which : e.keyCode;
    var ret = ((keyCode >= 48 && keyCode <= 57) || specialKeys.indexOf(keyCode) != -1);
    return ret;
}

$(document).ready(function(){
    if(typeof errorFlag !== 'undefined'){
        $('.message_div').delay(5000).slideUp();
    }
});

$('#to').datepicker({
    format: 'd/m/Y',
    todayHighlight: true,
    autoclose: true
});
$('#to').on('changeDate', function(ev){
    $(this).datepicker('hide');
});
$('.datepicker').datetimepicker({
    format: 'DD/MM/YYYY'
});
