<?php
require __DIR__ . '/../vendor/autoload.php';

use BarcodeBakery\Common\BCGFontFile;
use BarcodeBakery\Common\BCGColor;
use BarcodeBakery\Common\BCGDrawing;
use BarcodeBakery\Barcode\BCGcode128;

// Path to the font file
$fontPath = __DIR__ . '/font/Arial.ttf';

// Check if the font file exists
if (!file_exists($fontPath)) {
    die("Font file not found at: " . $fontPath);
}

//$font = new BCGFontFile($fontPath, 18);
$colorBlack = new BCGColor(0, 0, 0);
$colorWhite = new BCGColor(255, 255, 255);

// Barcode Part
$code = new BCGcode128();
$code->setScale(2);
$code->setThickness(30);
$code->setForegroundColor($colorBlack);
$code->setBackgroundColor($colorWhite);
//$code->setFont($font);
$code->setFont(null);
$code->setStart(null);
$code->setTilde(true);
$code->parse('a12hhjjkj3');

// Drawing Part
$drawing = new BCGDrawing($code, $colorWhite);

// Set the content type header to image/png
header('Content-Type: image/png');

// Output the barcode image directly to the browser
$drawing->finish(BCGDrawing::IMG_FORMAT_PNG);
?>
